/* Generated by re2c 0.13.5 on Fri Mar 13 00:13:18 2009 */
#line 1 "Zend/zend_language_scanner.l"
/*
   +----------------------------------------------------------------------+
   | Zend Engine                                                          |
   +----------------------------------------------------------------------+
   | Copyright (c) 1998-2009 Zend Technologies Ltd. (http://www.zend.com) |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.00 of the Zend license,     |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.zend.com/license/2_00.txt.                                |
   | If you did not receive a copy of the Zend license and are unable to  |
   | obtain it through the world-wide-web, please send a note to          |
   | license@zend.com so we can mail you a copy immediately.              |
   +----------------------------------------------------------------------+
   | Authors: Marcus Boerger <helly@php.net>                              |
   |          Nuno Lopes <nlopess@php.net>                                |
   |          Scott MacVicar <scottmac@php.net>                           |
   | Flex version authors:                                                |
   |          Andi Gutmans <andi@zend.com>                                |
   |          Zeev Suraski <zeev@zend.com>                                |
   +----------------------------------------------------------------------+
*/

/* $Id: zend_language_scanner.c,v 1.1.2.35 2009/03/16 01:40:12 shire Exp $ */

#if 0
# define YYDEBUG(s, c) printf("state: %d char: %c\n", s, c)
#else
# define YYDEBUG(s, c)
#endif

#include "zend_language_scanner_defs.h"

#include <errno.h>
#include "zend.h"
#include "zend_alloc.h"
#include <zend_language_parser.h>
#include "zend_compile.h"
#include "zend_language_scanner.h"
#include "zend_highlight.h"
#include "zend_constants.h"
#include "zend_variables.h"
#include "zend_operators.h"
#include "zend_API.h"
#include "zend_strtod.h"
#include "zend_exceptions.h"
#include "tsrm_virtual_cwd.h"
#include "tsrm_config_common.h"

#define YYCTYPE   unsigned char
#define YYFILL(n) { if ((YYCURSOR + n) >= (YYLIMIT + ZEND_MMAP_AHEAD)) { return 0; } }
#define YYCURSOR  SCNG(yy_cursor)
#define YYLIMIT   SCNG(yy_limit)
#define YYMARKER  SCNG(yy_marker)

#define YYGETCONDITION()  SCNG(yy_state)
#define YYSETCONDITION(s) SCNG(yy_state) = s

#define STATE(name)  yyc##name

/* emulate flex constructs */
#define BEGIN(state) YYSETCONDITION(STATE(state))
#define YYSTATE      YYGETCONDITION()
#define yytext       ((char*)SCNG(yy_text))
#define yyleng       SCNG(yy_leng)
#define yyless(x)    do { YYCURSOR = (unsigned char*)yytext + x; \
                          yyleng   = (unsigned int)x; } while(0)
#define yymore()     goto yymore_restart

/* perform sanity check. If this message is triggered you should
   increase the ZEND_MMAP_AHEAD value in the zend_streams.h file */
#define YYMAXFILL 16
#if ZEND_MMAP_AHEAD < YYMAXFILL
# error ZEND_MMAP_AHEAD should be greater than or equal to YYMAXFILL
#endif

#ifdef HAVE_STDARG_H
# include <stdarg.h>
#endif

#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif

/* Globals Macros */
#define SCNG	LANG_SCNG
#ifdef ZTS
ZEND_API ts_rsrc_id language_scanner_globals_id;
#else
ZEND_API zend_php_scanner_globals language_scanner_globals;
#endif

#define HANDLE_NEWLINES(s, l)													\
do {																			\
	char *p = (s), *boundary = p+(l);											\
																				\
	while (p<boundary) {														\
		if (*p == '\n' || (*p == '\r' && (*(p+1) != '\n'))) {					\
			CG(zend_lineno)++;													\
		}																		\
		p++;																	\
	}																			\
} while (0)

#define HANDLE_NEWLINE(c) \
{ \
	if (c == '\n' || c == '\r') { \
		CG(zend_lineno)++; \
	} \
}

#define ZEND_IS_OCT(c)  ((c)>='0' && (c)<='7')
#define ZEND_IS_HEX(c)  (((c)>='0' && (c)<='9') || ((c)>='a' && (c)<='f') || ((c)>='A' && (c)<='F'))

BEGIN_EXTERN_C()

static void _yy_push_state(int new_state TSRMLS_DC)
{
	zend_stack_push(&SCNG(state_stack), (void *) &YYGETCONDITION(), sizeof(int));
	YYSETCONDITION(new_state);
}

#define yy_push_state(state_and_tsrm) _yy_push_state(yyc##state_and_tsrm)

static void yy_pop_state(TSRMLS_D)
{
	int *stack_state;
	zend_stack_top(&SCNG(state_stack), (void **) &stack_state);
	YYSETCONDITION(*stack_state);
	zend_stack_del_top(&SCNG(state_stack));
}

static void yy_scan_buffer(char *str, unsigned int len TSRMLS_DC)
{
	YYCURSOR       = (YYCTYPE*)str;
	SCNG(yy_start) = YYCURSOR;
	YYLIMIT        = YYCURSOR + len;
}

void startup_scanner(TSRMLS_D)
{
	CG(heredoc) = NULL;
	CG(heredoc_len) = 0;
	CG(doc_comment) = NULL;
	CG(doc_comment_len) = 0;
	zend_llist_init(&SCNG(used_state_stacks), sizeof(zend_stack), (llist_dtor_func_t) zend_stack_destroy, 0);
	zend_stack_init(&SCNG(state_stack));
	zend_llist_add_element(&SCNG(used_state_stacks), &SCNG(state_stack));
}

void shutdown_scanner(TSRMLS_D)
{
	if (CG(heredoc)) {
		efree(CG(heredoc));
		CG(heredoc_len)=0;
	}
	zend_llist_destroy(&SCNG(used_state_stacks));
	RESET_DOC_COMMENT();
}

static int compare_stacks(zend_stack *stack1, zend_stack *stack2)
{
	return (stack1 == stack2);
}

ZEND_API void zend_save_lexical_state(zend_lex_state *lex_state TSRMLS_DC)
{
	lex_state->yy_leng   = SCNG(yy_leng);
	lex_state->yy_start  = SCNG(yy_start);
	lex_state->yy_text   = SCNG(yy_text);
	lex_state->yy_cursor = SCNG(yy_cursor);
	lex_state->yy_marker = SCNG(yy_marker);
	lex_state->yy_limit  = SCNG(yy_limit);

	lex_state->state_stack = SCNG(state_stack);
	zend_stack_init(&SCNG(state_stack));
	zend_llist_add_element(&SCNG(used_state_stacks), &SCNG(state_stack));

	lex_state->in = SCNG(yy_in);
	lex_state->yy_state = YYSTATE;
	lex_state->filename = zend_get_compiled_filename(TSRMLS_C);
	lex_state->lineno = CG(zend_lineno);

#ifdef ZEND_MULTIBYTE
	lex_state->script_org = SCNG(script_org);
	lex_state->script_org_size = SCNG(script_org_size);
	lex_state->script_filtered = SCNG(script_filtered);
	lex_state->script_filtered_size = SCNG(script_filtered_size);
	lex_state->input_filter = SCNG(input_filter);
	lex_state->output_filter = SCNG(output_filter);
	lex_state->script_encoding = SCNG(script_encoding);
	lex_state->internal_encoding = SCNG(internal_encoding);
#endif /* ZEND_MULTIBYTE */
}

ZEND_API void zend_restore_lexical_state(zend_lex_state *lex_state TSRMLS_DC)
{
	SCNG(yy_leng)   = lex_state->yy_leng;
	SCNG(yy_start)  = lex_state->yy_start;
	SCNG(yy_text)   = lex_state->yy_text;
	SCNG(yy_cursor) = lex_state->yy_cursor;
	SCNG(yy_marker) = lex_state->yy_marker;
	SCNG(yy_limit)  = lex_state->yy_limit;

	zend_llist_del_element(&SCNG(used_state_stacks), &SCNG(state_stack), (int (*)(void *, void *)) compare_stacks);
	SCNG(state_stack) = lex_state->state_stack;

	SCNG(yy_in) = lex_state->in;
	YYSETCONDITION(lex_state->yy_state);
	CG(zend_lineno) = lex_state->lineno;
	zend_restore_compiled_filename(lex_state->filename TSRMLS_CC);
#ifdef ZEND_MULTIBYTE
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
		SCNG(script_org) = NULL;
	}
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
	SCNG(script_org) = lex_state->script_org;
	SCNG(script_org_size) = lex_state->script_org_size;
	SCNG(script_filtered) = lex_state->script_filtered;
	SCNG(script_filtered_size) = lex_state->script_filtered_size;
	SCNG(input_filter) = lex_state->input_filter;
	SCNG(output_filter) = lex_state->output_filter;
	SCNG(script_encoding) = lex_state->script_encoding;
	SCNG(internal_encoding) = lex_state->internal_encoding;
#endif /* ZEND_MULTIBYTE */
}

ZEND_API void zend_destroy_file_handle(zend_file_handle *file_handle TSRMLS_DC)
{
	zend_llist_del_element(&CG(open_files), file_handle, (int (*)(void *, void *)) zend_compare_file_handles);
	/* zend_file_handle_dtor() operates on the copy, so we have to NULLify the original here */
	file_handle->opened_path = NULL;
	if (file_handle->free_filename) {
		file_handle->filename = NULL;
	}
}


ZEND_API int open_file_for_scanning(zend_file_handle *file_handle TSRMLS_DC)
{
	char *file_path = NULL, *buf;
	size_t size;

	if (zend_stream_fixup(file_handle, &buf, &size TSRMLS_CC) == FAILURE) {
		return FAILURE;
	}

	zend_llist_add_element(&CG(open_files), file_handle);
	if (file_handle->handle.stream.handle >= (void*)file_handle && file_handle->handle.stream.handle <= (void*)(file_handle+1)) {
		zend_file_handle *fh = (zend_file_handle*)zend_llist_get_last(&CG(open_files));
		size_t diff = (char*)file_handle->handle.stream.handle - (char*)file_handle;
		fh->handle.stream.handle = (void*)(((char*)fh) + diff);
		file_handle->handle.stream.handle = fh->handle.stream.handle;
	}

	/* Reset the scanner for scanning the new file */
	SCNG(yy_in) = file_handle;

	if (size != -1) {
#ifdef ZEND_MULTIBYTE
		if (zend_multibyte_read_script((unsigned char *)buf, size TSRMLS_CC) != 0) {
			return FAILURE;
		}

		SCNG(yy_in) = NULL;

		zend_multibyte_set_filter(NULL TSRMLS_CC);

		if (!SCNG(input_filter)) {
			SCNG(script_filtered) = (unsigned char*)emalloc(SCNG(script_org_size)+1);
			memcpy(SCNG(script_filtered), SCNG(script_org), SCNG(script_org_size)+1);
			SCNG(script_filtered_size) = SCNG(script_org_size);
		} else {
			SCNG(input_filter)(&SCNG(script_filtered), &SCNG(script_filtered_size), SCNG(script_org), SCNG(script_org_size) TSRMLS_CC);
		}

		yy_scan_buffer((char *)SCNG(script_filtered), SCNG(script_filtered_size) TSRMLS_CC);
#else /* !ZEND_MULTIBYTE */
		yy_scan_buffer(buf, size TSRMLS_CC);
#endif /* ZEND_MULTIBYTE */
	} else {
		zend_error_noreturn(E_COMPILE_ERROR, "zend_stream_mmap() failed");
	}

	BEGIN(INITIAL);

	if (file_handle->opened_path) {
		file_path = file_handle->opened_path;
	} else {
		file_path = file_handle->filename;
	}

	zend_set_compiled_filename(file_path TSRMLS_CC);

	if (CG(start_lineno)) {
		CG(zend_lineno) = CG(start_lineno);
		CG(start_lineno) = 0;
	} else {
		CG(zend_lineno) = 1;
	}

	CG(increment_lineno) = 0;
	return SUCCESS;
}
END_EXTERN_C()


ZEND_API zend_op_array *compile_file(zend_file_handle *file_handle, int type TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_op_array *op_array = (zend_op_array *) emalloc(sizeof(zend_op_array));
	zend_op_array *original_active_op_array = CG(active_op_array);
	zend_op_array *retval=NULL;
	int compiler_result;
	zend_bool compilation_successful=0;
	znode retval_znode;
	zend_bool original_in_compilation = CG(in_compilation);

	retval_znode.op_type = IS_CONST;
	retval_znode.u.constant.type = IS_LONG;
	retval_znode.u.constant.value.lval = 1;
	Z_UNSET_ISREF(retval_znode.u.constant);
	Z_SET_REFCOUNT(retval_znode.u.constant, 1);

	zend_save_lexical_state(&original_lex_state TSRMLS_CC);

	retval = op_array; /* success oriented */

	if (open_file_for_scanning(file_handle TSRMLS_CC)==FAILURE) {
		if (type==ZEND_REQUIRE) {
			zend_message_dispatcher(ZMSG_FAILED_REQUIRE_FOPEN, file_handle->filename TSRMLS_CC);
			zend_bailout();
		} else {
			zend_message_dispatcher(ZMSG_FAILED_INCLUDE_FOPEN, file_handle->filename TSRMLS_CC);
		}
		compilation_successful=0;
	} else {
		init_op_array(op_array, ZEND_USER_FUNCTION, INITIAL_OP_ARRAY_SIZE TSRMLS_CC);
		CG(in_compilation) = 1;
		CG(active_op_array) = op_array;
		compiler_result = zendparse(TSRMLS_C);
		zend_do_return(&retval_znode, 0 TSRMLS_CC);
		CG(in_compilation) = original_in_compilation;
		if (compiler_result==1) { /* parser error */
			zend_bailout();
		}
		compilation_successful=1;
	}

	if (retval) {
		CG(active_op_array) = original_active_op_array;
		if (compilation_successful) {
			pass_two(op_array TSRMLS_CC);
			zend_release_labels(TSRMLS_C);
		} else {
			efree(op_array);
			retval = NULL;
		}
	}
	if (compilation_successful) {
		zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	}
	return retval;
}


zend_op_array *compile_filename(int type, zval *filename TSRMLS_DC)
{
	zend_file_handle file_handle;
	zval tmp;
	zend_op_array *retval;
	char *opened_path = NULL;

	if (filename->type != IS_STRING) {
		tmp = *filename;
		zval_copy_ctor(&tmp);
		convert_to_string(&tmp);
		filename = &tmp;
	}
	file_handle.filename = filename->value.str.val;
	file_handle.free_filename = 0;
	file_handle.type = ZEND_HANDLE_FILENAME;
	file_handle.opened_path = NULL;
	file_handle.handle.fp = NULL;

	retval = zend_compile_file(&file_handle, type TSRMLS_CC);
	if (retval && file_handle.handle.stream.handle) {
		int dummy = 1;

		if (!file_handle.opened_path) {
			file_handle.opened_path = opened_path = estrndup(filename->value.str.val, filename->value.str.len);
		}

		zend_hash_add(&EG(included_files), file_handle.opened_path, strlen(file_handle.opened_path)+1, (void *)&dummy, sizeof(int), NULL);

		if (opened_path) {
			efree(opened_path);
		}
	}
	zend_destroy_file_handle(&file_handle TSRMLS_CC);

	if (filename==&tmp) {
		zval_dtor(&tmp);
	}
	return retval;
}

ZEND_API int zend_prepare_string_for_scanning(zval *str, char *filename TSRMLS_DC)
{
	/* enforce two trailing NULLs for flex... */
	str->value.str.val = safe_erealloc(str->value.str.val, 1, str->value.str.len, ZEND_MMAP_AHEAD);

	memset(str->value.str.val + str->value.str.len, 0, ZEND_MMAP_AHEAD);

	SCNG(yy_in)=NULL;

#ifdef ZEND_MULTIBYTE
	SCNG(script_org) = (unsigned char *)estrdup(str->value.str.val);
	SCNG(script_org_size) = str->value.str.len;

	zend_multibyte_set_filter(CG(internal_encoding) TSRMLS_CC);

	if (!SCNG(input_filter)) {
		SCNG(script_filtered) = (unsigned char*)emalloc(SCNG(script_org_size)+1);
		memcpy(SCNG(script_filtered), SCNG(script_org), SCNG(script_org_size)+1);
		SCNG(script_filtered_size) = SCNG(script_org_size);
	} else {
		SCNG(input_filter)(&SCNG(script_filtered), &SCNG(script_filtered_size), SCNG(script_org), SCNG(script_org_size) TSRMLS_CC);
	}

	yy_scan_buffer((char *)SCNG(script_filtered), SCNG(script_filtered_size) TSRMLS_CC);	
#else /* !ZEND_MULTIBYTE */
	yy_scan_buffer(str->value.str.val, str->value.str.len TSRMLS_CC);
#endif /* ZEND_MULTIBYTE */

	zend_set_compiled_filename(filename TSRMLS_CC);
	CG(zend_lineno) = 1;
	CG(increment_lineno) = 0;
	return SUCCESS;
}


ZEND_API size_t zend_get_scanned_file_offset(TSRMLS_D)
{
	size_t offset = SCNG(yy_cursor) - SCNG(yy_start);
#ifdef ZEND_MULTIBYTE
	if (SCNG(input_filter)) {
		size_t original_offset = offset, length = 0; do {
			unsigned char *p = NULL;
			SCNG(input_filter)(&p, &length, SCNG(script_org), offset TSRMLS_CC);
			if (!p) {
				break;
			}
			efree(p);
			if (length > original_offset) {
				offset--;
			} else if (length < original_offset) {
				offset++;
			}
		} while (original_offset != length);
	}
#endif
	return offset;
}


zend_op_array *compile_string(zval *source_string, char *filename TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_op_array *op_array = (zend_op_array *) emalloc(sizeof(zend_op_array));
	zend_op_array *original_active_op_array = CG(active_op_array);
	zend_op_array *retval;
	zval tmp;
	int compiler_result;
	zend_bool original_in_compilation = CG(in_compilation);

	if (source_string->value.str.len==0) {
		efree(op_array);
		return NULL;
	}

	CG(in_compilation) = 1;

	tmp = *source_string;
	zval_copy_ctor(&tmp);
	convert_to_string(&tmp);
	source_string = &tmp;

	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (zend_prepare_string_for_scanning(source_string, filename TSRMLS_CC)==FAILURE) {
		efree(op_array);
		retval = NULL;
	} else {
		zend_bool orig_interactive = CG(interactive);

		CG(interactive) = 0;
		init_op_array(op_array, ZEND_EVAL_CODE, INITIAL_OP_ARRAY_SIZE TSRMLS_CC);
		CG(interactive) = orig_interactive;
		CG(active_op_array) = op_array;
		BEGIN(ST_IN_SCRIPTING);
		compiler_result = zendparse(TSRMLS_C);

#ifdef ZEND_MULTIBYTE
		if (SCNG(script_org)) {
			efree(SCNG(script_org));
			SCNG(script_org) = NULL;
		}
		if (SCNG(script_filtered)) {
			efree(SCNG(script_filtered));
			SCNG(script_filtered) = NULL;
		}
#endif /* ZEND_MULTIBYTE */

		if (compiler_result==1) {
			CG(active_op_array) = original_active_op_array;
			CG(unclean_shutdown)=1;
			retval = NULL;
		} else {
			zend_do_return(NULL, 0 TSRMLS_CC);
			CG(active_op_array) = original_active_op_array;
			pass_two(op_array TSRMLS_CC);
			zend_release_labels(TSRMLS_C);
			retval = op_array;
		}
		zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	}
	zval_dtor(&tmp);
	CG(in_compilation) = original_in_compilation;
	return retval;
}


BEGIN_EXTERN_C()
int highlight_file(char *filename, zend_syntax_highlighter_ini *syntax_highlighter_ini TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_file_handle file_handle;

	file_handle.type = ZEND_HANDLE_FILENAME;
	file_handle.filename = filename;
	file_handle.free_filename = 0;
	file_handle.opened_path = NULL;
	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (open_file_for_scanning(&file_handle TSRMLS_CC)==FAILURE) {
		zend_message_dispatcher(ZMSG_FAILED_HIGHLIGHT_FOPEN, filename TSRMLS_CC);
		return FAILURE;
	}
	zend_highlight(syntax_highlighter_ini TSRMLS_CC);
#ifdef ZEND_MULTIBYTE
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
		SCNG(script_org) = NULL;
	}
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
#endif /* ZEND_MULTIBYTE */
	zend_destroy_file_handle(&file_handle TSRMLS_CC);
	zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	return SUCCESS;
}

int highlight_string(zval *str, zend_syntax_highlighter_ini *syntax_highlighter_ini, char *str_name TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zval tmp = *str;

	str = &tmp;
	zval_copy_ctor(str);
	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (zend_prepare_string_for_scanning(str, str_name TSRMLS_CC)==FAILURE) {
		return FAILURE;
	}
	BEGIN(INITIAL);
	zend_highlight(syntax_highlighter_ini TSRMLS_CC);
#ifdef ZEND_MULTIBYTE
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
		SCNG(script_org) = NULL;
	}
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
#endif /* ZEND_MULTIBYTE */
	zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	zval_dtor(str);
	return SUCCESS;
}
END_EXTERN_C()

#ifdef ZEND_MULTIBYTE

BEGIN_EXTERN_C()
ZEND_API void zend_multibyte_yyinput_again(zend_encoding_filter old_input_filter, zend_encoding *old_encoding TSRMLS_DC)
{
	size_t original_offset, offset, free_flag, new_len, length;
	unsigned char *p;

	/* calculate current position */
	offset = original_offset = YYCURSOR - SCNG(yy_start);
	if (old_input_filter && offset > 0) {
		zend_encoding *new_encoding = SCNG(script_encoding);
		zend_encoding_filter new_filter = SCNG(input_filter);
		SCNG(script_encoding) = old_encoding;
		SCNG(input_filter) = old_input_filter;
		offset = zend_get_scanned_file_offset(TSRMLS_C);
		SCNG(script_encoding) = new_encoding;
		SCNG(input_filter) = new_filter;
	}

	/* convert and set */
	if (!SCNG(input_filter)) {
		length = SCNG(script_org_size) - offset;
		p = SCNG(script_org) + offset;
		free_flag = 0;
	} else {
		SCNG(input_filter)(&p, &length, SCNG(script_org) + offset, SCNG(script_org_size) - offset TSRMLS_CC);
		free_flag = 1;
	}

	new_len = original_offset + length;

	if (new_len > YYLIMIT - SCNG(yy_start)) {
		unsigned char *new_yy_start = erealloc(SCNG(yy_start), new_len);
		SCNG(yy_cursor) = new_yy_start + (SCNG(yy_cursor) - SCNG(yy_start));
		SCNG(yy_marker) = new_yy_start + (SCNG(yy_marker) - SCNG(yy_start));
		SCNG(yy_text) = new_yy_start + (SCNG(yy_text) - SCNG(yy_start));
		SCNG(yy_start) = new_yy_start;
		SCNG(script_filtered) = new_yy_start;
		SCNG(script_filtered_size) = new_len;
	}

	SCNG(yy_limit) = SCNG(yy_start) + new_len;
	memmove(SCNG(yy_start) + original_offset, p, length);

	if (free_flag) {
		efree(p);
	}
}


ZEND_API int zend_multibyte_yyinput(zend_file_handle *file_handle, char *buf, size_t len TSRMLS_DC)
{
	size_t n;

	if (CG(interactive) == 0) {
		if (zend_stream_fixup(file_handle, &buf, &len TSRMLS_CC) == FAILURE) {
			return FAILURE;
		}
		n = len;
		return n;
	}

	/* interactive */
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
	}
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
	}
	SCNG(script_org) = NULL;
	SCNG(script_org_size) = 0;

	/* TODO: support widechars */
	if (zend_stream_fixup(file_handle, &buf, &len TSRMLS_CC) == FAILURE) {
		return FAILURE;
	}
	n = len;

	SCNG(script_org_size) = n;
	SCNG(script_org) = (unsigned char*)emalloc(SCNG(script_org_size) + 1);
	memcpy(SCNG(script_org), buf, n);

	return n;
}


ZEND_API int zend_multibyte_read_script(unsigned char *buf, size_t n TSRMLS_DC)
{
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
	}
	SCNG(script_org_size) = n;
	SCNG(script_org) = (unsigned char*)erealloc(SCNG(script_org), SCNG(script_org_size));
	memcpy(SCNG(script_org) + SCNG(script_org_size) - n, buf, n);
	
	SCNG(script_org) = (unsigned char*)erealloc(SCNG(script_org), SCNG(script_org_size) + 1);
	*(SCNG(script_org)+SCNG(script_org_size)) = '\0';

	return 0;
}


# define zend_copy_value(zendlval, yytext, yyleng) \
	if (SCNG(output_filter)) { \
		size_t sz = 0; \
		SCNG(output_filter)((unsigned char **)&(zendlval->value.str.val), &sz, (unsigned char *)yytext, (size_t)yyleng TSRMLS_CC); \
		zendlval->value.str.len = sz; \
	} else { \
		zendlval->value.str.val = (char *) estrndup(yytext, yyleng); \
		zendlval->value.str.len = yyleng; \
	}
#else /* ZEND_MULTIBYTE */
# define zend_copy_value(zendlval, yytext, yyleng) \
	zendlval->value.str.val = (char *)estrndup(yytext, yyleng); \
	zendlval->value.str.len = yyleng;
#endif /* ZEND_MULTIBYTE */

static void zend_scan_escape_string(zval *zendlval, char *str, int len, char quote_type TSRMLS_DC)
{
	register char *s, *t;
	char *end;

	ZVAL_STRINGL(zendlval, str, len, 1);

	/* convert escape sequences */
	s = t = zendlval->value.str.val;
	end = s+zendlval->value.str.len;
	while (s<end) {
		if (*s=='\\') {
			s++;
			if (s >= end) {
				*t++ = '\\';
				break;
			}

			switch(*s) {
				case 'n':
					*t++ = '\n';
					zendlval->value.str.len--;
					break;
				case 'r':
					*t++ = '\r';
					zendlval->value.str.len--;
					break;
				case 't':
					*t++ = '\t';
					zendlval->value.str.len--;
					break;
				case 'f':
					*t++ = '\f';
					zendlval->value.str.len--;
					break;
				case 'v':
					*t++ = '\v';
					zendlval->value.str.len--;
					break;
				case '"':
				case '`':
					if (*s != quote_type) {
						*t++ = '\\';
						*t++ = *s;
						break;
					}
				case '\\':
				case '$':
					*t++ = *s;
					zendlval->value.str.len--;
					break;
				case 'x':
				case 'X':
					if (ZEND_IS_HEX(*(s+1))) {
						char hex_buf[3] = { 0, 0, 0 };

						zendlval->value.str.len--; /* for the 'x' */

						hex_buf[0] = *(++s);
						zendlval->value.str.len--;
						if (ZEND_IS_HEX(*(s+1))) {
							hex_buf[1] = *(++s);
							zendlval->value.str.len--;
						}
						*t++ = (char) strtol(hex_buf, NULL, 16);
					} else {
						*t++ = '\\';
						*t++ = *s;
					}
					break;
				default:
					/* check for an octal */
					if (ZEND_IS_OCT(*s)) {
						char octal_buf[4] = { 0, 0, 0, 0 };

						octal_buf[0] = *s;
						zendlval->value.str.len--;
						if (ZEND_IS_OCT(*(s+1))) {
							octal_buf[1] = *(++s);
							zendlval->value.str.len--;
							if (ZEND_IS_OCT(*(s+1))) {
								octal_buf[2] = *(++s);
								zendlval->value.str.len--;
							}
						}
						*t++ = (char) strtol(octal_buf, NULL, 8);
					} else {
						*t++ = '\\';
						*t++ = *s;
					}
					break;
			}
		} else {
			*t++ = *s;
		}

		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
	}
	*t = 0;
#ifdef ZEND_MULTIBYTE
	if (SCNG(output_filter)) {
		size_t sz = 0;
		s = zendlval->value.str.val;
		SCNG(output_filter)((unsigned char **)&(zendlval->value.str.val), &sz, (unsigned char *)s, (size_t)zendlval->value.str.len TSRMLS_CC);
		zendlval->value.str.len = sz;
		efree(s);
	}
#endif /* ZEND_MULTIBYTE */
}


int lex_scan(zval *zendlval TSRMLS_DC)
{
restart:
	SCNG(yy_text) = YYCURSOR;

yymore_restart:


#line 840 "Zend/zend_language_scanner.c"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	if (YYGETCONDITION() < 6) {
		if (YYGETCONDITION() < 3) {
			if (YYGETCONDITION() < 1) {
				goto yyc_ST_IN_SCRIPTING;
			} else {
				if (YYGETCONDITION() < 2) {
					goto yyc_ST_LOOKING_FOR_PROPERTY;
				} else {
					goto yyc_ST_BACKQUOTE;
				}
			}
		} else {
			if (YYGETCONDITION() < 4) {
				goto yyc_ST_DOUBLE_QUOTES;
			} else {
				if (YYGETCONDITION() < 5) {
					goto yyc_ST_HEREDOC;
				} else {
					goto yyc_ST_LOOKING_FOR_VARNAME;
				}
			}
		}
	} else {
		if (YYGETCONDITION() < 9) {
			if (YYGETCONDITION() < 7) {
				goto yyc_ST_VAR_OFFSET;
			} else {
				if (YYGETCONDITION() < 8) {
					goto yyc_INITIAL;
				} else {
					goto yyc_ST_ONE_LINE_COMMENT;
				}
			}
		} else {
			if (YYGETCONDITION() < 11) {
				if (YYGETCONDITION() < 10) {
					goto yyc_ST_COMMENT;
				} else {
					goto yyc_ST_DOC_COMMENT;
				}
			} else {
				if (YYGETCONDITION() < 12) {
					goto yyc_ST_END_HEREDOC;
				} else {
					goto yyc_ST_NOWDOC;
				}
			}
		}
	}
/* *********************************** */
yyc_INITIAL:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128,   0,   0, 128,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
		};

		YYDEBUG(0, *YYCURSOR);
		YYFILL(8);
		yych = *YYCURSOR;
		if (yych <= 0x00) goto yy2;
		if (yych == '<') goto yy4;
		goto yy6;
yy2:
		YYDEBUG(2, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(3, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
		{ return 0; }
#line 944 "Zend/zend_language_scanner.c"
yy4:
		YYDEBUG(4, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '?') {
			if (yych == '%') goto yy9;
			if (yych >= '?') goto yy7;
		} else {
			if (yych <= 'S') {
				if (yych >= 'S') goto yy11;
			} else {
				if (yych == 's') goto yy11;
			}
		}
yy5:
		YYDEBUG(5, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1611 "Zend/zend_language_scanner.l"
		{

inline_char_handler:

	while (1) {
		YYCTYPE *ptr = memchr(YYCURSOR, '<', YYLIMIT - YYCURSOR);

		if (ptr == NULL) {
			YYCURSOR = YYLIMIT;
			yyleng   = YYCURSOR - SCNG(yy_text);
			break;

		} else {
			YYCURSOR = ptr + 1;

			/* stop if it may be an opening tag (<?, <%, <script>). this condition is not optimal though */
			if (YYCURSOR < YYLIMIT && (*YYCURSOR == '?' || *YYCURSOR == '%' || *YYCURSOR == 's')) {
				--YYCURSOR;
				yyleng = YYCURSOR - SCNG(yy_text);
				break;
			}
		}
	}

#ifdef ZEND_MULTIBYTE
	if (SCNG(output_filter)) {
		int readsize;
		size_t sz = 0;
		readsize = SCNG(output_filter)((unsigned char **)&(zendlval->value.str.val), &sz, (unsigned char *)yytext, (size_t)yyleng TSRMLS_CC);
		zendlval->value.str.len = sz;
		if (readsize < yyleng) {
			yyless(readsize);
		}
	} else {
	  zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
	  zendlval->value.str.len = yyleng;
	}
#else /* !ZEND_MULTIBYTE */
	zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
 	zendlval->value.str.len = yyleng;
#endif
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_INLINE_HTML;
}
#line 1008 "Zend/zend_language_scanner.c"
yy6:
		YYDEBUG(6, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy5;
yy7:
		YYDEBUG(7, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'O') {
			if (yych == '=') goto yy47;
		} else {
			if (yych <= 'P') goto yy49;
			if (yych == 'p') goto yy49;
		}
yy8:
		YYDEBUG(8, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1599 "Zend/zend_language_scanner.l"
		{
	if (CG(short_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG;
	} else {
		goto inline_char_handler;
	}
}
#line 1038 "Zend/zend_language_scanner.c"
yy9:
		YYDEBUG(9, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy45;
		YYDEBUG(10, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1576 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG;
	} else {
		goto inline_char_handler;
	}
}
#line 1057 "Zend/zend_language_scanner.c"
yy11:
		YYDEBUG(11, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy13;
		if (yych == 'c') goto yy13;
yy12:
		YYDEBUG(12, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 0) {
			goto yy5;
		} else {
			goto yy8;
		}
yy13:
		YYDEBUG(13, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy14;
		if (yych != 'r') goto yy12;
yy14:
		YYDEBUG(14, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy15;
		if (yych != 'i') goto yy12;
yy15:
		YYDEBUG(15, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy16;
		if (yych != 'p') goto yy12;
yy16:
		YYDEBUG(16, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy17;
		if (yych != 't') goto yy12;
yy17:
		YYDEBUG(17, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy12;
		if (yych == 'l') goto yy12;
		goto yy19;
yy18:
		YYDEBUG(18, *YYCURSOR);
		++YYCURSOR;
		YYFILL(8);
		yych = *YYCURSOR;
yy19:
		YYDEBUG(19, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy18;
		}
		if (yych == 'L') goto yy20;
		if (yych != 'l') goto yy12;
yy20:
		YYDEBUG(20, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy21;
		if (yych != 'a') goto yy12;
yy21:
		YYDEBUG(21, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy22;
		if (yych != 'n') goto yy12;
yy22:
		YYDEBUG(22, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy23;
		if (yych != 'g') goto yy12;
yy23:
		YYDEBUG(23, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy24;
		if (yych != 'u') goto yy12;
yy24:
		YYDEBUG(24, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy25;
		if (yych != 'a') goto yy12;
yy25:
		YYDEBUG(25, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy26;
		if (yych != 'g') goto yy12;
yy26:
		YYDEBUG(26, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy27;
		if (yych != 'e') goto yy12;
yy27:
		YYDEBUG(27, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(28, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy12;
			if (yych <= '\n') goto yy27;
			if (yych <= '\f') goto yy12;
			goto yy27;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy12;
				goto yy27;
			} else {
				if (yych != '=') goto yy12;
			}
		}
yy29:
		YYDEBUG(29, *YYCURSOR);
		++YYCURSOR;
		YYFILL(5);
		yych = *YYCURSOR;
		YYDEBUG(30, *YYCURSOR);
		if (yych <= '!') {
			if (yych <= '\f') {
				if (yych <= 0x08) goto yy12;
				if (yych <= '\n') goto yy29;
				goto yy12;
			} else {
				if (yych <= '\r') goto yy29;
				if (yych == ' ') goto yy29;
				goto yy12;
			}
		} else {
			if (yych <= 'O') {
				if (yych <= '"') goto yy32;
				if (yych == '\'') goto yy33;
				goto yy12;
			} else {
				if (yych <= 'P') goto yy31;
				if (yych != 'p') goto yy12;
			}
		}
yy31:
		YYDEBUG(31, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy44;
		if (yych == 'h') goto yy44;
		goto yy12;
yy32:
		YYDEBUG(32, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy41;
		if (yych == 'p') goto yy41;
		goto yy12;
yy33:
		YYDEBUG(33, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy34;
		if (yych != 'p') goto yy12;
yy34:
		YYDEBUG(34, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy35;
		if (yych != 'h') goto yy12;
yy35:
		YYDEBUG(35, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy36;
		if (yych != 'p') goto yy12;
yy36:
		YYDEBUG(36, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '\'') goto yy12;
yy37:
		YYDEBUG(37, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(38, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy12;
			if (yych <= '\n') goto yy37;
			if (yych <= '\f') goto yy12;
			goto yy37;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy12;
				goto yy37;
			} else {
				if (yych != '>') goto yy12;
			}
		}
		YYDEBUG(39, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(40, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1540 "Zend/zend_language_scanner.l"
		{
	HANDLE_NEWLINES(yytext, yyleng);
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(ST_IN_SCRIPTING);
	return T_OPEN_TAG;
}
#line 1252 "Zend/zend_language_scanner.c"
yy41:
		YYDEBUG(41, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy42;
		if (yych != 'h') goto yy12;
yy42:
		YYDEBUG(42, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy43;
		if (yych != 'p') goto yy12;
yy43:
		YYDEBUG(43, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '"') goto yy37;
		goto yy12;
yy44:
		YYDEBUG(44, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy37;
		if (yych == 'p') goto yy37;
		goto yy12;
yy45:
		YYDEBUG(45, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(46, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1550 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG_WITH_ECHO;
	} else {
		goto inline_char_handler;
	}
}
#line 1291 "Zend/zend_language_scanner.c"
yy47:
		YYDEBUG(47, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(48, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1563 "Zend/zend_language_scanner.l"
		{
	if (CG(short_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG_WITH_ECHO;
	} else {
		goto inline_char_handler;
	}
}
#line 1309 "Zend/zend_language_scanner.c"
yy49:
		YYDEBUG(49, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy50;
		if (yych != 'h') goto yy12;
yy50:
		YYDEBUG(50, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy51;
		if (yych != 'p') goto yy12;
yy51:
		YYDEBUG(51, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\f') {
			if (yych <= 0x08) goto yy12;
			if (yych >= '\v') goto yy12;
		} else {
			if (yych <= '\r') goto yy54;
			if (yych != ' ') goto yy12;
		}
yy52:
		YYDEBUG(52, *YYCURSOR);
		++YYCURSOR;
yy53:
		YYDEBUG(53, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1589 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINE(yytext[yyleng-1]);
	BEGIN(ST_IN_SCRIPTING);
	return T_OPEN_TAG;
}
#line 1345 "Zend/zend_language_scanner.c"
yy54:
		YYDEBUG(54, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy52;
		goto yy53;
	}
/* *********************************** */
yyc_ST_BACKQUOTE:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144,  16,  16,  16,  16,  16,  16, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,   0,  16,  16, 144, 
			  0, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  64,  16,  16,  16, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
		};
		YYDEBUG(55, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= '#') {
				if (yych >= 0x01) goto yy62;
			} else {
				if (yych <= '$') goto yy59;
				if (yych <= '[') goto yy62;
				goto yy64;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy62;
				goto yy66;
			} else {
				if (yych == '{') goto yy60;
				goto yy62;
			}
		}
		YYDEBUG(57, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy63;
yy58:
		YYDEBUG(58, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2021 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, '`' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1421 "Zend/zend_language_scanner.c"
yy59:
		YYDEBUG(59, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy71;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy62;
				goto yy77;
			} else {
				if (yych == '\\') goto yy70;
				goto yy62;
			}
		} else {
			if (yych <= 'z') {
				if (yych == '`') goto yy74;
				goto yy77;
			} else {
				if (yych <= '{') goto yy80;
				if (yych <= '~') goto yy62;
				goto yy77;
			}
		}
yy60:
		YYDEBUG(60, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy75;
		}
		if (yych == '$') goto yy61;
		if (yych == '`') goto yy74;
		goto yy63;
yy61:
		YYDEBUG(61, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1996 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 1465 "Zend/zend_language_scanner.c"
yy62:
		YYDEBUG(62, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy63:
		YYDEBUG(63, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy62;
		}
		if (yych <= '[') goto yy69;
		if (yych <= '\\') goto yy64;
		if (yych <= 'z') goto yy58;
		goto yy68;
yy64:
		YYDEBUG(64, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych >= 0x01) goto yy62;
yy65:
		YYDEBUG(65, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy58;
			} else {
				goto yy61;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy73;
			} else {
				goto yy79;
			}
		}
yy66:
		YYDEBUG(66, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(67, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2099 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_IN_SCRIPTING);
	return '`';
}
#line 1513 "Zend/zend_language_scanner.c"
yy68:
		YYDEBUG(68, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy62;
		}
		if (yych <= '[') goto yy65;
		if (yych <= '\\') goto yy64;
		if (yych <= 'z') goto yy74;
		goto yy75;
yy69:
		YYDEBUG(69, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy71;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy62;
				goto yy65;
			} else {
				if (yych != '\\') goto yy62;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy65;
				goto yy74;
			} else {
				if (yych <= '{') goto yy65;
				if (yych <= '~') goto yy62;
				goto yy65;
			}
		}
yy70:
		YYDEBUG(70, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= 0x00) goto yy65;
		goto yy62;
yy71:
		YYDEBUG(71, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(72, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy71;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy62;
			} else {
				if (yych == '\\') goto yy70;
				goto yy62;
			}
		} else {
			if (yych <= '`') {
				if (yych >= '`') goto yy74;
			} else {
				if (yych <= '{') goto yy73;
				if (yych <= '~') goto yy62;
			}
		}
yy73:
		YYDEBUG(73, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2026 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, '`' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1592 "Zend/zend_language_scanner.c"
yy74:
		YYDEBUG(74, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy73;
yy75:
		YYDEBUG(75, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(76, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy62;
		}
		if (yych <= '[') goto yy73;
		if (yych <= '\\') goto yy64;
		if (yych <= 'z') goto yy74;
		goto yy75;
yy77:
		YYDEBUG(77, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(78, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy77;
		}
		if (yych == '-') goto yy82;
		if (yych == '[') goto yy83;
yy79:
		YYDEBUG(79, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1679 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1632 "Zend/zend_language_scanner.c"
yy80:
		YYDEBUG(80, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(81, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1333 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 1643 "Zend/zend_language_scanner.c"
yy82:
		YYDEBUG(82, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy85;
		goto yy65;
yy83:
		YYDEBUG(83, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(84, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1671 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1662 "Zend/zend_language_scanner.c"
yy85:
		YYDEBUG(85, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy65;
			if (yych <= 'Z') goto yy86;
			if (yych <= '^') goto yy65;
		} else {
			if (yych <= '`') goto yy65;
			if (yych <= 'z') goto yy86;
			if (yych <= '~') goto yy65;
		}
yy86:
		YYDEBUG(86, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(87, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1661 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1688 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_COMMENT:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(88, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= 0x00) goto yy90;
		if (yych == '*') goto yy95;
		goto yy92;
yy90:
		YYDEBUG(90, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 128) {
			goto yy92;
		}
		YYDEBUG(91, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1765 "Zend/zend_language_scanner.l"
		{
	zend_error(E_COMPILE_WARNING, "Unterminated comment starting line %d", CG(zend_lineno));
	return 0;
}
#line 1746 "Zend/zend_language_scanner.c"
yy92:
		YYDEBUG(92, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(93, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy92;
		}
		YYDEBUG(94, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1776 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1762 "Zend/zend_language_scanner.c"
yy95:
		YYDEBUG(95, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '/') goto yy97;
		YYDEBUG(96, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1794 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1773 "Zend/zend_language_scanner.c"
yy97:
		YYDEBUG(97, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(98, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1788 "Zend/zend_language_scanner.l"
		{
	HANDLE_NEWLINES(yytext, yyleng);
	BEGIN(ST_IN_SCRIPTING);
	return T_COMMENT;
}
#line 1785 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_DOC_COMMENT:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(99, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= 0x00) goto yy101;
		if (yych == '*') goto yy106;
		goto yy103;
yy101:
		YYDEBUG(101, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 128) {
			goto yy103;
		}
		YYDEBUG(102, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1765 "Zend/zend_language_scanner.l"
		{
	zend_error(E_COMPILE_WARNING, "Unterminated comment starting line %d", CG(zend_lineno));
	return 0;
}
#line 1843 "Zend/zend_language_scanner.c"
yy103:
		YYDEBUG(103, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(104, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy103;
		}
		YYDEBUG(105, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1776 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1859 "Zend/zend_language_scanner.c"
yy106:
		YYDEBUG(106, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '/') goto yy108;
		YYDEBUG(107, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1794 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1870 "Zend/zend_language_scanner.c"
yy108:
		YYDEBUG(108, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(109, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1780 "Zend/zend_language_scanner.l"
		{
	CG(doc_comment) = estrndup(yytext, yyleng);
	CG(doc_comment_len) = yyleng;
	HANDLE_NEWLINES(yytext, yyleng);
	BEGIN(ST_IN_SCRIPTING);
	return T_DOC_COMMENT;
}
#line 1884 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_DOUBLE_QUOTES:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,   0,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144,  16,  16,  16,  16,  16,  16, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,   0,  16,  16, 144, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  64,  16,  16,  16, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
		};
		YYDEBUG(110, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '$') {
			if (yych <= '!') {
				if (yych >= 0x01) goto yy117;
			} else {
				if (yych <= '"') goto yy121;
				if (yych <= '#') goto yy117;
				goto yy114;
			}
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy117;
				goto yy119;
			} else {
				if (yych == '{') goto yy115;
				goto yy117;
			}
		}
		YYDEBUG(112, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy118;
yy113:
		YYDEBUG(113, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2003 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, '"' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1955 "Zend/zend_language_scanner.c"
yy114:
		YYDEBUG(114, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy126;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy129;
				goto yy117;
			} else {
				if (yych <= 'Z') goto yy132;
				if (yych <= '[') goto yy117;
				goto yy125;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy132;
				goto yy117;
			} else {
				if (yych <= 'z') goto yy132;
				if (yych <= '{') goto yy135;
				if (yych <= '~') goto yy117;
				goto yy132;
			}
		}
yy115:
		YYDEBUG(115, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy130;
		}
		if (yych == '"') goto yy129;
		if (yych != '$') goto yy118;
yy116:
		YYDEBUG(116, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1996 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 2000 "Zend/zend_language_scanner.c"
yy117:
		YYDEBUG(117, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy118:
		YYDEBUG(118, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy117;
		}
		if (yych <= '#') goto yy113;
		if (yych <= '$') goto yy124;
		if (yych >= '{') goto yy123;
yy119:
		YYDEBUG(119, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych >= 0x01) goto yy117;
yy120:
		YYDEBUG(120, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy113;
			} else {
				goto yy116;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy128;
			} else {
				goto yy134;
			}
		}
yy121:
		YYDEBUG(121, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(122, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2093 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_IN_SCRIPTING);
	return '"';
}
#line 2047 "Zend/zend_language_scanner.c"
yy123:
		YYDEBUG(123, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy117;
		}
		if (yych <= '#') goto yy129;
		if (yych <= '$') goto yy120;
		if (yych <= 'z') goto yy119;
		goto yy130;
yy124:
		YYDEBUG(124, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy126;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy129;
				goto yy117;
			} else {
				if (yych <= 'Z') goto yy120;
				if (yych <= '[') goto yy117;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy120;
				goto yy117;
			} else {
				if (yych <= '{') goto yy120;
				if (yych <= '~') goto yy117;
				goto yy120;
			}
		}
yy125:
		YYDEBUG(125, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= 0x00) goto yy120;
		goto yy117;
yy126:
		YYDEBUG(126, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(127, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy126;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy129;
				goto yy117;
			} else {
				if (yych <= 'Z') goto yy128;
				if (yych <= '[') goto yy117;
				goto yy125;
			}
		} else {
			if (yych <= '`') {
				if (yych != '_') goto yy117;
			} else {
				if (yych <= '{') goto yy128;
				if (yych <= '~') goto yy117;
			}
		}
yy128:
		YYDEBUG(128, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2014 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, '"' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 2129 "Zend/zend_language_scanner.c"
yy129:
		YYDEBUG(129, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy128;
yy130:
		YYDEBUG(130, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(131, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy117;
		}
		if (yych <= '#') goto yy129;
		if (yych <= '$') goto yy128;
		if (yych <= 'z') goto yy119;
		goto yy130;
yy132:
		YYDEBUG(132, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(133, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy132;
		}
		if (yych == '-') goto yy137;
		if (yych == '[') goto yy138;
yy134:
		YYDEBUG(134, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1679 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2169 "Zend/zend_language_scanner.c"
yy135:
		YYDEBUG(135, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(136, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1333 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 2180 "Zend/zend_language_scanner.c"
yy137:
		YYDEBUG(137, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy140;
		goto yy120;
yy138:
		YYDEBUG(138, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(139, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1671 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2199 "Zend/zend_language_scanner.c"
yy140:
		YYDEBUG(140, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy120;
			if (yych <= 'Z') goto yy141;
			if (yych <= '^') goto yy120;
		} else {
			if (yych <= '`') goto yy120;
			if (yych <= 'z') goto yy141;
			if (yych <= '~') goto yy120;
		}
yy141:
		YYDEBUG(141, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(142, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1661 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2225 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_END_HEREDOC:
	YYDEBUG(143, *YYCURSOR);
	YYFILL(1);
	yych = *YYCURSOR;
	if (yych >= 0x01) goto yy147;
	YYDEBUG(145, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(146, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
	{ return 0; }
#line 2239 "Zend/zend_language_scanner.c"
yy147:
	YYDEBUG(147, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(148, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 1982 "Zend/zend_language_scanner.l"
	{
	YYCURSOR += CG(heredoc_len) - 1;
	yyleng = CG(heredoc_len);

	Z_STRVAL_P(zendlval) = CG(heredoc);
	Z_STRLEN_P(zendlval) = CG(heredoc_len);
	CG(heredoc) = NULL;
	CG(heredoc_len) = 0;
	BEGIN(ST_IN_SCRIPTING);
	return T_END_HEREDOC;
}
#line 2257 "Zend/zend_language_scanner.c"
/* *********************************** */
yyc_ST_HEREDOC:
	{
		static const unsigned char yybm[] = {
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,  16,   4,   4,  32,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,   4,   4,  64,   4,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			 12,  12,  12,  12,  12,  12,  12,  12, 
			 12,  12,   4,   4,   4,   4,   4,   4, 
			  4,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   4,   0,   4,   4,   8, 
			  4,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8, 128,   4,   4,   4,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
		};
		YYDEBUG(149, *YYCURSOR);
		YYFILL(2);
		yych = *(YYMARKER = YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '[') {
			if (yych <= '#') {
				if (yych <= 0x00) goto yy152;
				if (yych == '\r') goto yy163;
				goto yy156;
			} else {
				if (yych <= '$') goto yy153;
				if (yych <= '@') goto yy156;
				if (yych <= 'Z') goto yy158;
				goto yy156;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '\\') goto yy160;
				if (yych == '_') goto yy158;
				goto yy156;
			} else {
				if (yych <= 'z') goto yy158;
				if (yych <= '{') goto yy154;
				if (yych <= '~') goto yy156;
				goto yy158;
			}
		}
yy151:
		YYDEBUG(151, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2040 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, 0 TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 2332 "Zend/zend_language_scanner.c"
yy152:
		YYDEBUG(152, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy157;
yy153:
		YYDEBUG(153, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '$') goto yy198;
				goto yy157;
			} else {
				if (yych <= 'Z') goto yy202;
				if (yych <= '[') goto yy157;
				goto yy191;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy202;
				goto yy157;
			} else {
				if (yych <= 'z') goto yy202;
				if (yych <= '{') goto yy205;
				if (yych <= '~') goto yy157;
				goto yy202;
			}
		}
yy154:
		YYDEBUG(154, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy200;
				goto yy156;
			}
		}
yy155:
		YYDEBUG(155, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1996 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 2389 "Zend/zend_language_scanner.c"
yy156:
		YYDEBUG(156, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy157:
		YYDEBUG(157, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy197;
		} else {
			if (yych <= '\\') goto yy160;
			if (yych == '{') goto yy196;
		}
yy158:
		YYDEBUG(158, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(159, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '@') {
			if (yych <= '$') {
				if (yych == '\r') goto yy163;
				if (yych <= '#') goto yy156;
				goto yy190;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy156;
					goto yy158;
				} else {
					if (yych == ';') goto yy188;
					goto yy156;
				}
			}
		} else {
			if (yych <= '_') {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy158;
					goto yy156;
				} else {
					if (yych <= '\\') goto yy160;
					if (yych <= '^') goto yy156;
					goto yy158;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= '`') goto yy156;
					goto yy158;
				} else {
					if (yych <= '{') goto yy189;
					if (yych <= '~') goto yy156;
					goto yy158;
				}
			}
		}
yy160:
		YYDEBUG(160, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy161:
		YYDEBUG(161, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(162, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy169;
			goto yy165;
		} else {
			if (yych <= '\\') goto yy170;
			if (yych == '{') goto yy167;
			goto yy165;
		}
yy163:
		YYDEBUG(163, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(164, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy169;
		} else {
			if (yych <= '\\') goto yy170;
			if (yych == '{') goto yy167;
		}
yy165:
		YYDEBUG(165, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(166, *YYCURSOR);
		if (yych <= ';') {
			if (yych <= '#') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy156;
					goto yy181;
				} else {
					if (yych == '\r') goto yy181;
					goto yy156;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '$') goto yy180;
					goto yy156;
				} else {
					if (yych <= '9') goto yy165;
					if (yych <= ':') goto yy156;
					goto yy177;
				}
			}
		} else {
			if (yych <= '^') {
				if (yych <= 'Z') {
					if (yych <= '@') goto yy156;
					goto yy165;
				} else {
					if (yych == '\\') goto yy178;
					goto yy156;
				}
			} else {
				if (yych <= 'z') {
					if (yych == '`') goto yy156;
					goto yy165;
				} else {
					if (yych <= '{') goto yy179;
					if (yych <= '~') goto yy156;
					goto yy165;
				}
			}
		}
yy167:
		YYDEBUG(167, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy170;
			} else {
				if (yych == '{') goto yy175;
				goto yy156;
			}
		}
yy168:
		YYDEBUG(168, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy151;
			} else {
				goto yy155;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy174;
			} else {
				goto yy204;
			}
		}
yy169:
		YYDEBUG(169, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy172;
		} else {
			if (yych == '\\') goto yy171;
			goto yy168;
		}
yy170:
		YYDEBUG(170, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy171:
		YYDEBUG(171, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy172:
		YYDEBUG(172, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(173, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy172;
		} else {
			if (yych == '\\') goto yy171;
		}
yy174:
		YYDEBUG(174, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2045 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, 0 TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 2646 "Zend/zend_language_scanner.c"
yy175:
		YYDEBUG(175, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(176, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy174;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy170;
			} else {
				if (yych == '{') goto yy175;
				goto yy156;
			}
		}
yy177:
		YYDEBUG(177, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '#') {
			if (yych <= '\n') {
				if (yych <= '\t') goto yy156;
				goto yy181;
			} else {
				if (yych == '\r') goto yy181;
				goto yy156;
			}
		} else {
			if (yych <= '\\') {
				if (yych <= '$') goto yy180;
				if (yych <= '[') goto yy156;
			} else {
				if (yych == '{') goto yy179;
				goto yy156;
			}
		}
yy178:
		YYDEBUG(178, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy179:
		YYDEBUG(179, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy168;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy178;
			} else {
				if (yych == '{') goto yy186;
				goto yy156;
			}
		}
yy180:
		YYDEBUG(180, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy183;
		} else {
			if (yych == '\\') goto yy185;
			goto yy168;
		}
yy181:
		YYDEBUG(181, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(182, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1945 "Zend/zend_language_scanner.l"
		{
	char *end = yytext + yyleng - 1;

	if (end[-1] == ';') {
		end--;
		yyleng--;
	}

	if (yyleng > CG(heredoc_len) && !memcmp(end - CG(heredoc_len), CG(heredoc), CG(heredoc_len))) {
		int len = yyleng - CG(heredoc_len) - 2; /* 2 for newline before and after label */

		/* May have matched fooLABEL; make sure there's a newline before it */
		if (yytext[len] != '\n') {
			if (yytext[len] != '\r') {
				yyless(yyleng - 1);
				yymore();
			}
		} else if (len > 0 && yytext[len - 1] == '\r') {
			len--; /* Windows newline */
		}

		/* Go back before label, to match in ST_END_HEREDOC state. yytext will include
		 * newline before label, for zend_highlight/strip, tokenizer, etc. */
		yyless(yyleng - CG(heredoc_len) - 1); /* 1 for newline after label */

		CG(increment_lineno) = 1; /* For newline before label */
		BEGIN(ST_END_HEREDOC);
		zend_scan_escape_string(zendlval, yytext, len, 0 TSRMLS_CC);
		return T_ENCAPSED_AND_WHITESPACE;
	} else {
		/* Go back to end of label, so the next match works correctly in case of
		 * a variable or another label at the beginning of the next line */
		yyless(yyleng - 1);
		yymore();
	}
}
#line 2782 "Zend/zend_language_scanner.c"
yy183:
		YYDEBUG(183, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(184, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy183;
		} else {
			if (yych != '\\') goto yy174;
		}
yy185:
		YYDEBUG(185, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy186:
		YYDEBUG(186, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(187, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy174;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy178;
			} else {
				if (yych == '{') goto yy186;
				goto yy156;
			}
		}
yy188:
		YYDEBUG(188, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy190;
			goto yy158;
		} else {
			if (yych <= '\\') goto yy160;
			if (yych != '{') goto yy158;
		}
yy189:
		YYDEBUG(189, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy168;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy194;
				goto yy156;
			}
		}
yy190:
		YYDEBUG(190, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy192;
		} else {
			if (yych != '\\') goto yy168;
		}
yy191:
		YYDEBUG(191, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy192:
		YYDEBUG(192, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(193, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy192;
		} else {
			if (yych == '\\') goto yy191;
			goto yy174;
		}
yy194:
		YYDEBUG(194, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(195, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy174;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy194;
				goto yy156;
			}
		}
yy196:
		YYDEBUG(196, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy168;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy200;
				goto yy156;
			}
		}
yy197:
		YYDEBUG(197, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
		} else {
			if (yych == '\\') goto yy191;
			goto yy168;
		}
yy198:
		YYDEBUG(198, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(199, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy198;
		} else {
			if (yych == '\\') goto yy191;
			goto yy174;
		}
yy200:
		YYDEBUG(200, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(201, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy174;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy200;
				goto yy156;
			}
		}
yy202:
		YYDEBUG(202, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(203, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych == '-') goto yy207;
			} else {
				if (yych <= '9') goto yy202;
				if (yych >= 'A') goto yy202;
			}
		} else {
			if (yych <= '_') {
				if (yych <= '[') goto yy208;
				if (yych >= '_') goto yy202;
			} else {
				if (yych <= '`') goto yy204;
				if (yych <= 'z') goto yy202;
				if (yych >= 0x7F) goto yy202;
			}
		}
yy204:
		YYDEBUG(204, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1679 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 3048 "Zend/zend_language_scanner.c"
yy205:
		YYDEBUG(205, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(206, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1333 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 3059 "Zend/zend_language_scanner.c"
yy207:
		YYDEBUG(207, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy210;
		goto yy168;
yy208:
		YYDEBUG(208, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(209, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1671 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 3078 "Zend/zend_language_scanner.c"
yy210:
		YYDEBUG(210, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy168;
			if (yych <= 'Z') goto yy211;
			if (yych <= '^') goto yy168;
		} else {
			if (yych <= '`') goto yy168;
			if (yych <= 'z') goto yy211;
			if (yych <= '~') goto yy168;
		}
yy211:
		YYDEBUG(211, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(212, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1661 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 3104 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_IN_SCRIPTING:
	{
		static const unsigned char yybm[] = {
			/* table 1 .. 8: 0 */
			  2,   2,   2,   2,   2,   2,   2,   2, 
			  2, 194,  66,   2,   2,  66,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			194,   2,   0,   2,   4,   2,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			 58,  58,  58,  58,  58,  58,  58,  58, 
			 58,  58,   2,   2,   2,   2,   2,   2, 
			  2,  42,  42,  42,  42,  42,  42,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,   2,   0,   2,   2,  10, 
			  2,  42,  42,  42,  42,  42,  42,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,   1,   2,   2,   2,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			/* table 9 .. 9: 256 */
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128,   0, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(213, *YYCURSOR);
		YYFILL(16);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 0x00:	goto yy215;
		case 0x01:
		case 0x02:
		case 0x03:
		case 0x04:
		case 0x05:
		case 0x06:
		case 0x07:
		case 0x08:
		case '\v':
		case '\f':
		case 0x0E:
		case 0x0F:
		case 0x10:
		case 0x11:
		case 0x12:
		case 0x13:
		case 0x14:
		case 0x15:
		case 0x16:
		case 0x17:
		case 0x18:
		case 0x19:
		case 0x1A:
		case 0x1B:
		case 0x1C:
		case 0x1D:
		case 0x1E:
		case 0x1F:	goto yy277;
		case '\t':
		case '\n':
		case '\r':
		case ' ':	goto yy233;
		case '!':	goto yy246;
		case '"':	goto yy271;
		case '#':	goto yy269;
		case '$':	goto yy258;
		case '%':	goto yy252;
		case '&':	goto yy253;
		case '\'':	goto yy273;
		case '(':	goto yy240;
		case ')':
		case ',':
		case ';':
		case '@':
		case '[':
		case ']':
		case '~':	goto yy259;
		case '*':	goto yy249;
		case '+':	goto yy245;
		case '-':	goto yy231;
		case '.':	goto yy251;
		case '/':	goto yy250;
		case '0':	goto yy265;
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':	goto yy267;
		case ':':	goto yy235;
		case '<':	goto yy247;
		case '=':	goto yy243;
		case '>':	goto yy248;
		case '?':	goto yy260;
		case 'A':
		case 'a':	goto yy226;
		case 'B':
		case 'b':	goto yy228;
		case 'C':
		case 'c':	goto yy221;
		case 'D':
		case 'd':	goto yy219;
		case 'E':
		case 'e':	goto yy217;
		case 'F':
		case 'f':	goto yy220;
		case 'G':
		case 'g':	goto yy229;
		case 'I':
		case 'i':	goto yy224;
		case 'L':
		case 'l':	goto yy244;
		case 'N':
		case 'n':	goto yy238;
		case 'O':
		case 'o':	goto yy256;
		case 'P':
		case 'p':	goto yy230;
		case 'R':
		case 'r':	goto yy222;
		case 'S':
		case 's':	goto yy227;
		case 'T':
		case 't':	goto yy223;
		case 'U':
		case 'u':	goto yy241;
		case 'V':
		case 'v':	goto yy239;
		case 'W':
		case 'w':	goto yy225;
		case 'X':
		case 'x':	goto yy257;
		case '\\':	goto yy236;
		case '^':	goto yy255;
		case '_':	goto yy242;
		case '`':	goto yy275;
		case '{':	goto yy261;
		case '|':	goto yy254;
		case '}':	goto yy263;
		default:	goto yy268;
		}
yy215:
		YYDEBUG(215, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(216, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
		{ return 0; }
#line 3304 "Zend/zend_language_scanner.c"
yy217:
		YYDEBUG(217, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(-1, yych);
		switch ((yych = *YYCURSOR)) {
		case 'C':
		case 'c':	goto yy809;
		case 'L':
		case 'l':	goto yy810;
		case 'M':
		case 'm':	goto yy811;
		case 'N':
		case 'n':	goto yy812;
		case 'V':
		case 'v':	goto yy813;
		case 'X':
		case 'x':	goto yy814;
		default:	goto yy295;
		}
yy218:
		YYDEBUG(218, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1703 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 3333 "Zend/zend_language_scanner.c"
yy219:
		YYDEBUG(219, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych <= 'H') {
				if (yych == 'E') goto yy791;
				goto yy295;
			} else {
				if (yych <= 'I') goto yy792;
				if (yych <= 'N') goto yy295;
				goto yy793;
			}
		} else {
			if (yych <= 'h') {
				if (yych == 'e') goto yy791;
				goto yy295;
			} else {
				if (yych <= 'i') goto yy792;
				if (yych == 'o') goto yy793;
				goto yy295;
			}
		}
yy220:
		YYDEBUG(220, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych <= 'N') {
				if (yych == 'I') goto yy770;
				goto yy295;
			} else {
				if (yych <= 'O') goto yy771;
				if (yych <= 'T') goto yy295;
				goto yy772;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'i') goto yy770;
				goto yy295;
			} else {
				if (yych <= 'o') goto yy771;
				if (yych == 'u') goto yy772;
				goto yy295;
			}
		}
yy221:
		YYDEBUG(221, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych <= 'K') {
				if (yych == 'A') goto yy742;
				goto yy295;
			} else {
				if (yych <= 'L') goto yy743;
				if (yych <= 'N') goto yy295;
				goto yy744;
			}
		} else {
			if (yych <= 'k') {
				if (yych == 'a') goto yy742;
				goto yy295;
			} else {
				if (yych <= 'l') goto yy743;
				if (yych == 'o') goto yy744;
				goto yy295;
			}
		}
yy222:
		YYDEBUG(222, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy724;
		if (yych == 'e') goto yy724;
		goto yy295;
yy223:
		YYDEBUG(223, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'R') {
			if (yych == 'H') goto yy716;
			if (yych <= 'Q') goto yy295;
			goto yy717;
		} else {
			if (yych <= 'h') {
				if (yych <= 'g') goto yy295;
				goto yy716;
			} else {
				if (yych == 'r') goto yy717;
				goto yy295;
			}
		}
yy224:
		YYDEBUG(224, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych <= 'L') {
				if (yych == 'F') goto yy669;
				goto yy295;
			} else {
				if (yych <= 'M') goto yy671;
				if (yych <= 'N') goto yy672;
				if (yych <= 'R') goto yy295;
				goto yy673;
			}
		} else {
			if (yych <= 'm') {
				if (yych == 'f') goto yy669;
				if (yych <= 'l') goto yy295;
				goto yy671;
			} else {
				if (yych <= 'n') goto yy672;
				if (yych == 's') goto yy673;
				goto yy295;
			}
		}
yy225:
		YYDEBUG(225, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy664;
		if (yych == 'h') goto yy664;
		goto yy295;
yy226:
		YYDEBUG(226, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych <= 'M') {
				if (yych == 'B') goto yy646;
				goto yy295;
			} else {
				if (yych <= 'N') goto yy647;
				if (yych <= 'Q') goto yy295;
				if (yych <= 'R') goto yy648;
				goto yy649;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'b') goto yy646;
				if (yych <= 'm') goto yy295;
				goto yy647;
			} else {
				if (yych <= 'q') goto yy295;
				if (yych <= 'r') goto yy648;
				if (yych <= 's') goto yy649;
				goto yy295;
			}
		}
yy227:
		YYDEBUG(227, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'W') {
			if (yych == 'T') goto yy634;
			if (yych <= 'V') goto yy295;
			goto yy635;
		} else {
			if (yych <= 't') {
				if (yych <= 's') goto yy295;
				goto yy634;
			} else {
				if (yych == 'w') goto yy635;
				goto yy295;
			}
		}
yy228:
		YYDEBUG(228, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'Q') {
			if (yych <= '/') {
				if (yych <= '"') {
					if (yych <= '!') goto yy218;
					goto yy627;
				} else {
					if (yych == '\'') goto yy278;
					goto yy218;
				}
			} else {
				if (yych <= ';') {
					if (yych <= '9') goto yy294;
					goto yy218;
				} else {
					if (yych <= '<') goto yy626;
					if (yych <= '@') goto yy218;
					goto yy294;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'Z') {
					if (yych <= 'R') goto yy628;
					goto yy294;
				} else {
					if (yych == '_') goto yy294;
					goto yy218;
				}
			} else {
				if (yych <= 'r') {
					if (yych <= 'q') goto yy294;
					goto yy628;
				} else {
					if (yych <= 'z') goto yy294;
					if (yych <= '~') goto yy218;
					goto yy294;
				}
			}
		}
yy229:
		YYDEBUG(229, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'L') goto yy616;
			if (yych <= 'N') goto yy295;
			goto yy617;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy295;
				goto yy616;
			} else {
				if (yych == 'o') goto yy617;
				goto yy295;
			}
		}
yy230:
		YYDEBUG(230, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych == 'R') goto yy592;
			if (yych <= 'T') goto yy295;
			goto yy593;
		} else {
			if (yych <= 'r') {
				if (yych <= 'q') goto yy295;
				goto yy592;
			} else {
				if (yych == 'u') goto yy593;
				goto yy295;
			}
		}
yy231:
		YYDEBUG(231, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '<') {
			if (yych == '-') goto yy588;
		} else {
			if (yych <= '=') goto yy586;
			if (yych <= '>') goto yy590;
		}
yy232:
		YYDEBUG(232, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1322 "Zend/zend_language_scanner.l"
		{
	return yytext[0];
}
#line 3584 "Zend/zend_language_scanner.c"
yy233:
		YYDEBUG(233, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy585;
yy234:
		YYDEBUG(234, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1057 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_WHITESPACE;
}
#line 3601 "Zend/zend_language_scanner.c"
yy235:
		YYDEBUG(235, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == ':') goto yy582;
		goto yy232;
yy236:
		YYDEBUG(236, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(237, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1086 "Zend/zend_language_scanner.l"
		{
	return T_NS_SEPARATOR;
}
#line 3616 "Zend/zend_language_scanner.c"
yy238:
		YYDEBUG(238, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'E') {
			if (yych == 'A') goto yy570;
			if (yych <= 'D') goto yy295;
			goto yy571;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy295;
				goto yy570;
			} else {
				if (yych == 'e') goto yy571;
				goto yy295;
			}
		}
yy239:
		YYDEBUG(239, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy567;
		if (yych == 'a') goto yy567;
		goto yy295;
yy240:
		YYDEBUG(240, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'D') {
				if (yych <= ' ') {
					if (yych == '\t') goto yy488;
					if (yych <= 0x1F) goto yy232;
					goto yy488;
				} else {
					if (yych <= '@') goto yy232;
					if (yych == 'C') goto yy232;
					goto yy488;
				}
			} else {
				if (yych <= 'I') {
					if (yych == 'F') goto yy488;
					if (yych <= 'H') goto yy232;
					goto yy488;
				} else {
					if (yych == 'O') goto yy488;
					if (yych <= 'Q') goto yy232;
					goto yy488;
				}
			}
		} else {
			if (yych <= 'f') {
				if (yych <= 'b') {
					if (yych == 'U') goto yy488;
					if (yych <= '`') goto yy232;
					goto yy488;
				} else {
					if (yych == 'd') goto yy488;
					if (yych <= 'e') goto yy232;
					goto yy488;
				}
			} else {
				if (yych <= 'o') {
					if (yych == 'i') goto yy488;
					if (yych <= 'n') goto yy232;
					goto yy488;
				} else {
					if (yych <= 's') {
						if (yych <= 'q') goto yy232;
						goto yy488;
					} else {
						if (yych == 'u') goto yy488;
						goto yy232;
					}
				}
			}
		}
yy241:
		YYDEBUG(241, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych == 'N') goto yy479;
			if (yych <= 'R') goto yy295;
			goto yy480;
		} else {
			if (yych <= 'n') {
				if (yych <= 'm') goto yy295;
				goto yy479;
			} else {
				if (yych == 's') goto yy480;
				goto yy295;
			}
		}
yy242:
		YYDEBUG(242, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '_') goto yy405;
		goto yy295;
yy243:
		YYDEBUG(243, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy232;
		if (yych <= '=') goto yy399;
		if (yych <= '>') goto yy401;
		goto yy232;
yy244:
		YYDEBUG(244, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy395;
		if (yych == 'i') goto yy395;
		goto yy295;
yy245:
		YYDEBUG(245, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '+') goto yy393;
		if (yych == '=') goto yy391;
		goto yy232;
yy246:
		YYDEBUG(246, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy388;
		goto yy232;
yy247:
		YYDEBUG(247, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= ';') {
			if (yych == '/') goto yy360;
			goto yy232;
		} else {
			if (yych <= '<') goto yy358;
			if (yych <= '=') goto yy361;
			if (yych <= '>') goto yy363;
			goto yy232;
		}
yy248:
		YYDEBUG(248, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy232;
		if (yych <= '=') goto yy354;
		if (yych <= '>') goto yy352;
		goto yy232;
yy249:
		YYDEBUG(249, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy350;
		goto yy232;
yy250:
		YYDEBUG(250, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '.') {
			if (yych == '*') goto yy341;
			goto yy232;
		} else {
			if (yych <= '/') goto yy343;
			if (yych == '=') goto yy344;
			goto yy232;
		}
yy251:
		YYDEBUG(251, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy232;
		if (yych <= '9') goto yy337;
		if (yych == '=') goto yy339;
		goto yy232;
yy252:
		YYDEBUG(252, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy232;
		if (yych <= '=') goto yy333;
		if (yych <= '>') goto yy331;
		goto yy232;
yy253:
		YYDEBUG(253, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '&') goto yy327;
		if (yych == '=') goto yy329;
		goto yy232;
yy254:
		YYDEBUG(254, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy325;
		if (yych == '|') goto yy323;
		goto yy232;
yy255:
		YYDEBUG(255, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy321;
		goto yy232;
yy256:
		YYDEBUG(256, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy319;
		if (yych == 'r') goto yy319;
		goto yy295;
yy257:
		YYDEBUG(257, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy316;
		if (yych == 'o') goto yy316;
		goto yy295;
yy258:
		YYDEBUG(258, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy232;
			if (yych <= 'Z') goto yy313;
			if (yych <= '^') goto yy232;
			goto yy313;
		} else {
			if (yych <= '`') goto yy232;
			if (yych <= 'z') goto yy313;
			if (yych <= '~') goto yy232;
			goto yy313;
		}
yy259:
		YYDEBUG(259, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy232;
yy260:
		YYDEBUG(260, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy309;
		goto yy232;
yy261:
		YYDEBUG(261, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(262, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1327 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return '{';
}
#line 3849 "Zend/zend_language_scanner.c"
yy263:
		YYDEBUG(263, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(264, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1339 "Zend/zend_language_scanner.l"
		{
	RESET_DOC_COMMENT();
	if (!zend_stack_is_empty(&SCNG(state_stack))) {
		yy_pop_state(TSRMLS_C);
	}
	return '}';
}
#line 3863 "Zend/zend_language_scanner.c"
yy265:
		YYDEBUG(265, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'E') {
			if (yych <= '/') {
				if (yych == '.') goto yy296;
			} else {
				if (yych <= '9') goto yy299;
				if (yych >= 'E') goto yy301;
			}
		} else {
			if (yych <= 'd') {
				if (yych == 'X') goto yy305;
			} else {
				if (yych <= 'e') goto yy301;
				if (yych == 'x') goto yy305;
			}
		}
yy266:
		YYDEBUG(266, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1365 "Zend/zend_language_scanner.l"
		{
	if (yyleng < MAX_LENGTH_OF_LONG - 1) { /* Won't overflow */
		zendlval->value.lval = strtol(yytext, NULL, 0);
	} else {
		errno = 0;
		zendlval->value.lval = strtol(yytext, NULL, 0);
		if (errno == ERANGE) { /* Overflow */
			if (yytext[0] == '0') { /* octal overflow */
				zendlval->value.dval = zend_oct_strtod(yytext, NULL);
			} else {
				zendlval->value.dval = zend_strtod(yytext, NULL);
			}
			zendlval->type = IS_DOUBLE;
			return T_DNUMBER;
		}
	}

	zendlval->type = IS_LONG;
	return T_LNUMBER;
}
#line 3907 "Zend/zend_language_scanner.c"
yy267:
		YYDEBUG(267, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '9') {
			if (yych == '.') goto yy296;
			if (yych <= '/') goto yy266;
			goto yy299;
		} else {
			if (yych <= 'E') {
				if (yych <= 'D') goto yy266;
				goto yy301;
			} else {
				if (yych == 'e') goto yy301;
				goto yy266;
			}
		}
yy268:
		YYDEBUG(268, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy295;
yy269:
		YYDEBUG(269, *YYCURSOR);
		++YYCURSOR;
yy270:
		YYDEBUG(270, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1710 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_ONE_LINE_COMMENT);
	yymore();
}
#line 3940 "Zend/zend_language_scanner.c"
yy271:
		YYDEBUG(271, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy287;
yy272:
		YYDEBUG(272, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1882 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_DOUBLE_QUOTES);
	return '"';
}
#line 3954 "Zend/zend_language_scanner.c"
yy273:
		YYDEBUG(273, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy279;
yy274:
		YYDEBUG(274, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2106 "Zend/zend_language_scanner.l"
		{
	zend_error(E_COMPILE_WARNING,"Unexpected character in input:  '%c' (ASCII=%d) state=%d", yytext[0], yytext[0], YYSTATE);
	goto restart;
}
#line 3968 "Zend/zend_language_scanner.c"
yy275:
		YYDEBUG(275, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(276, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1933 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_BACKQUOTE);
	return '`';
}
#line 3979 "Zend/zend_language_scanner.c"
yy277:
		YYDEBUG(277, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy274;
yy278:
		YYDEBUG(278, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy279:
		YYDEBUG(279, *YYCURSOR);
		if (yybm[256+yych] & 128) {
			goto yy278;
		}
		if (yych <= '[') goto yy282;
		YYDEBUG(280, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych >= 0x01) goto yy278;
yy281:
		YYDEBUG(281, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 3) {
			if (yyaccept <= 1) {
				if (yyaccept <= 0) {
					goto yy218;
				} else {
					goto yy232;
				}
			} else {
				if (yyaccept <= 2) {
					goto yy266;
				} else {
					goto yy272;
				}
			}
		} else {
			if (yyaccept <= 5) {
				if (yyaccept <= 4) {
					goto yy274;
				} else {
					goto yy298;
				}
			} else {
				if (yyaccept <= 6) {
					goto yy342;
				} else {
					goto yy359;
				}
			}
		}
yy282:
		YYDEBUG(282, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(283, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1831 "Zend/zend_language_scanner.l"
		{
	register char *s, *t;
	char *end;
	int bprefix = (yytext[0] != '\'') ? 1 : 0;

	zendlval->value.str.val = estrndup(yytext+bprefix+1, yyleng-bprefix-2);
	zendlval->value.str.len = yyleng-bprefix-2;
	zendlval->type = IS_STRING;

	/* convert escape sequences */
	s = t = zendlval->value.str.val;
	end = s+zendlval->value.str.len;
	while (s<end) {
		if (*s=='\\') {
			s++;

			switch(*s) {
				case '\\':
				case '\'':
					*t++ = *s;
					zendlval->value.str.len--;
					break;
				default:
					*t++ = '\\';
					*t++ = *s;
					break;
			}
		} else {
			*t++ = *s;
		}

		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
	}
	*t = 0;

#ifdef ZEND_MULTIBYTE
	if (SCNG(output_filter)) {
		size_t sz = 0;
		s = zendlval->value.str.val;
		SCNG(output_filter)((unsigned char **)&(zendlval->value.str.val), &sz, (unsigned char *)s, (size_t)zendlval->value.str.len TSRMLS_CC);
		zendlval->value.str.len = sz;
		efree(s);
	}
#endif /* ZEND_MULTIBYTE */
	return T_CONSTANT_ENCAPSED_STRING;
}
#line 4087 "Zend/zend_language_scanner.c"
yy284:
		YYDEBUG(284, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(285, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy286;
		}
		if (yych <= '#') goto yy291;
		if (yych <= '$') goto yy281;
		if (yych <= 'z') goto yy288;
		goto yy284;
yy286:
		YYDEBUG(286, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy287:
		YYDEBUG(287, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy286;
		}
		if (yych <= '#') goto yy291;
		if (yych <= '$') goto yy289;
		if (yych >= '{') goto yy284;
yy288:
		YYDEBUG(288, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= 0x00) goto yy281;
		goto yy286;
yy289:
		YYDEBUG(289, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(290, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy289;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych != '"') goto yy286;
			} else {
				if (yych <= 'Z') goto yy281;
				if (yych <= '[') goto yy286;
				goto yy293;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy281;
				goto yy286;
			} else {
				if (yych <= '{') goto yy281;
				if (yych <= '~') goto yy286;
				goto yy281;
			}
		}
yy291:
		YYDEBUG(291, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(292, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1823 "Zend/zend_language_scanner.l"
		{
	int bprefix = (yytext[0] != '"') ? 1 : 0;

	zend_scan_escape_string(zendlval, yytext+bprefix+1, yyleng-bprefix-2, '"' TSRMLS_CC);
	return T_CONSTANT_ENCAPSED_STRING;
}
#line 4160 "Zend/zend_language_scanner.c"
yy293:
		YYDEBUG(293, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= 0x00) goto yy281;
		goto yy286;
yy294:
		YYDEBUG(294, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy295:
		YYDEBUG(295, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy294;
		}
		goto yy218;
yy296:
		YYDEBUG(296, *YYCURSOR);
		yyaccept = 5;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(297, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy296;
		}
		if (yych == 'E') goto yy301;
		if (yych == 'e') goto yy301;
yy298:
		YYDEBUG(298, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1426 "Zend/zend_language_scanner.l"
		{
	zendlval->value.dval = zend_strtod(yytext, NULL);
	zendlval->type = IS_DOUBLE;
	return T_DNUMBER;
}
#line 4200 "Zend/zend_language_scanner.c"
yy299:
		YYDEBUG(299, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(300, *YYCURSOR);
		if (yych <= '9') {
			if (yych == '.') goto yy296;
			if (yych <= '/') goto yy266;
			goto yy299;
		} else {
			if (yych <= 'E') {
				if (yych <= 'D') goto yy266;
			} else {
				if (yych != 'e') goto yy266;
			}
		}
yy301:
		YYDEBUG(301, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= ',') {
			if (yych != '+') goto yy281;
		} else {
			if (yych <= '-') goto yy302;
			if (yych <= '/') goto yy281;
			if (yych <= '9') goto yy303;
			goto yy281;
		}
yy302:
		YYDEBUG(302, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy281;
		if (yych >= ':') goto yy281;
yy303:
		YYDEBUG(303, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(304, *YYCURSOR);
		if (yych <= '/') goto yy298;
		if (yych <= '9') goto yy303;
		goto yy298;
yy305:
		YYDEBUG(305, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy306;
		}
		goto yy281;
yy306:
		YYDEBUG(306, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(307, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy306;
		}
		YYDEBUG(308, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1386 "Zend/zend_language_scanner.l"
		{
	char *hex = yytext + 2; /* Skip "0x" */
	int len = yyleng - 2;

	/* Skip any leading 0s */
	while (*hex == '0') {
		hex++;
		len--;
	}

	if (len < SIZEOF_LONG * 2 || (len == SIZEOF_LONG * 2 && *hex <= '7')) {
		zendlval->value.lval = strtol(hex, NULL, 16);
		zendlval->type = IS_LONG;
		return T_LNUMBER;
	} else {
		zendlval->value.dval = zend_hex_strtod(hex, NULL);
		zendlval->type = IS_DOUBLE;
		return T_DNUMBER;
	}
}
#line 4283 "Zend/zend_language_scanner.c"
yy309:
		YYDEBUG(309, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy311;
		if (yych == '\r') goto yy312;
yy310:
		YYDEBUG(310, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1798 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(INITIAL);
	return T_CLOSE_TAG;  /* implicit ';' at php-end tag */
}
#line 4300 "Zend/zend_language_scanner.c"
yy311:
		YYDEBUG(311, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy310;
yy312:
		YYDEBUG(312, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy311;
		goto yy310;
yy313:
		YYDEBUG(313, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(314, *YYCURSOR);
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy313;
			} else {
				if (yych <= '@') goto yy315;
				if (yych <= 'Z') goto yy313;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy313;
			} else {
				if (yych <= 'z') goto yy313;
				if (yych >= 0x7F) goto yy313;
			}
		}
yy315:
		YYDEBUG(315, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1679 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 4340 "Zend/zend_language_scanner.c"
yy316:
		YYDEBUG(316, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy317;
		if (yych != 'r') goto yy295;
yy317:
		YYDEBUG(317, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(318, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1310 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_XOR;
}
#line 4358 "Zend/zend_language_scanner.c"
yy319:
		YYDEBUG(319, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(320, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1302 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_OR;
}
#line 4371 "Zend/zend_language_scanner.c"
yy321:
		YYDEBUG(321, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(322, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1290 "Zend/zend_language_scanner.l"
		{
	return T_XOR_EQUAL;
}
#line 4381 "Zend/zend_language_scanner.c"
yy323:
		YYDEBUG(323, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(324, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1294 "Zend/zend_language_scanner.l"
		{
	return T_BOOLEAN_OR;
}
#line 4391 "Zend/zend_language_scanner.c"
yy325:
		YYDEBUG(325, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(326, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1286 "Zend/zend_language_scanner.l"
		{
	return T_OR_EQUAL;
}
#line 4401 "Zend/zend_language_scanner.c"
yy327:
		YYDEBUG(327, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(328, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1298 "Zend/zend_language_scanner.l"
		{
	return T_BOOLEAN_AND;
}
#line 4411 "Zend/zend_language_scanner.c"
yy329:
		YYDEBUG(329, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(330, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1282 "Zend/zend_language_scanner.l"
		{
	return T_AND_EQUAL;
}
#line 4421 "Zend/zend_language_scanner.c"
yy331:
		YYDEBUG(331, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy335;
		if (yych == '\r') goto yy336;
yy332:
		YYDEBUG(332, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1807 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		BEGIN(INITIAL);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		zendlval->value.str.val = yytext; /* no copying - intentional */
		return T_CLOSE_TAG;  /* implicit ';' at php-end tag */
	} else {
		yyless(1);
		return yytext[0];
	}
}
#line 4443 "Zend/zend_language_scanner.c"
yy333:
		YYDEBUG(333, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(334, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1270 "Zend/zend_language_scanner.l"
		{
	return T_MOD_EQUAL;
}
#line 4453 "Zend/zend_language_scanner.c"
yy335:
		YYDEBUG(335, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy332;
yy336:
		YYDEBUG(336, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy335;
		goto yy332;
yy337:
		YYDEBUG(337, *YYCURSOR);
		yyaccept = 5;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(338, *YYCURSOR);
		if (yych <= 'D') {
			if (yych <= '/') goto yy298;
			if (yych <= '9') goto yy337;
			goto yy298;
		} else {
			if (yych <= 'E') goto yy301;
			if (yych == 'e') goto yy301;
			goto yy298;
		}
yy339:
		YYDEBUG(339, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(340, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1266 "Zend/zend_language_scanner.l"
		{
	return T_CONCAT_EQUAL;
}
#line 4488 "Zend/zend_language_scanner.c"
yy341:
		YYDEBUG(341, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '*') goto yy346;
yy342:
		YYDEBUG(342, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1770 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_COMMENT);
	yymore();
}
#line 4502 "Zend/zend_language_scanner.c"
yy343:
		YYDEBUG(343, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy270;
yy344:
		YYDEBUG(344, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(345, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1262 "Zend/zend_language_scanner.l"
		{
	return T_DIV_EQUAL;
}
#line 4516 "Zend/zend_language_scanner.c"
yy346:
		YYDEBUG(346, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 64) {
			goto yy347;
		}
		goto yy281;
yy347:
		YYDEBUG(347, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(348, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy347;
		}
		YYDEBUG(349, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1759 "Zend/zend_language_scanner.l"
		{
	RESET_DOC_COMMENT();
	BEGIN(ST_DOC_COMMENT);
	yymore();
}
#line 4541 "Zend/zend_language_scanner.c"
yy350:
		YYDEBUG(350, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(351, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1258 "Zend/zend_language_scanner.l"
		{
	return T_MUL_EQUAL;
}
#line 4551 "Zend/zend_language_scanner.c"
yy352:
		YYDEBUG(352, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy356;
		YYDEBUG(353, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1318 "Zend/zend_language_scanner.l"
		{
	return T_SR;
}
#line 4562 "Zend/zend_language_scanner.c"
yy354:
		YYDEBUG(354, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(355, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1246 "Zend/zend_language_scanner.l"
		{
	return T_IS_GREATER_OR_EQUAL;
}
#line 4572 "Zend/zend_language_scanner.c"
yy356:
		YYDEBUG(356, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(357, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1278 "Zend/zend_language_scanner.l"
		{
	return T_SR_EQUAL;
}
#line 4582 "Zend/zend_language_scanner.c"
yy358:
		YYDEBUG(358, *YYCURSOR);
		yyaccept = 7;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= ';') goto yy359;
		if (yych <= '<') goto yy374;
		if (yych <= '=') goto yy372;
yy359:
		YYDEBUG(359, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1314 "Zend/zend_language_scanner.l"
		{
	return T_SL;
}
#line 4597 "Zend/zend_language_scanner.c"
yy360:
		YYDEBUG(360, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy365;
		if (yych == 's') goto yy365;
		goto yy281;
yy361:
		YYDEBUG(361, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(362, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1242 "Zend/zend_language_scanner.l"
		{
	return T_IS_SMALLER_OR_EQUAL;
}
#line 4613 "Zend/zend_language_scanner.c"
yy363:
		YYDEBUG(363, *YYCURSOR);
		++YYCURSOR;
yy364:
		YYDEBUG(364, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1238 "Zend/zend_language_scanner.l"
		{
	return T_IS_NOT_EQUAL;
}
#line 4624 "Zend/zend_language_scanner.c"
yy365:
		YYDEBUG(365, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy366;
		if (yych != 'c') goto yy281;
yy366:
		YYDEBUG(366, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy367;
		if (yych != 'r') goto yy281;
yy367:
		YYDEBUG(367, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy368;
		if (yych != 'i') goto yy281;
yy368:
		YYDEBUG(368, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy369;
		if (yych != 'p') goto yy281;
yy369:
		YYDEBUG(369, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy370;
		if (yych != 't') goto yy281;
yy370:
		YYDEBUG(370, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(371, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy281;
			if (yych <= '\n') goto yy370;
			if (yych <= '\f') goto yy281;
			goto yy370;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy281;
				goto yy370;
			} else {
				if (yych == '>') goto yy309;
				goto yy281;
			}
		}
yy372:
		YYDEBUG(372, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(373, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1274 "Zend/zend_language_scanner.l"
		{
	return T_SL_EQUAL;
}
#line 4679 "Zend/zend_language_scanner.c"
yy374:
		YYDEBUG(374, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(375, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy374;
		}
		if (yych <= 'Z') {
			if (yych <= '&') {
				if (yych == '"') goto yy379;
				goto yy281;
			} else {
				if (yych <= '\'') goto yy378;
				if (yych <= '@') goto yy281;
			}
		} else {
			if (yych <= '`') {
				if (yych != '_') goto yy281;
			} else {
				if (yych <= 'z') goto yy376;
				if (yych <= '~') goto yy281;
			}
		}
yy376:
		YYDEBUG(376, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(377, *YYCURSOR);
		if (yych <= '@') {
			if (yych <= '\f') {
				if (yych == '\n') goto yy383;
				goto yy281;
			} else {
				if (yych <= '\r') goto yy385;
				if (yych <= '/') goto yy281;
				if (yych <= '9') goto yy376;
				goto yy281;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy376;
				if (yych <= '^') goto yy281;
				goto yy376;
			} else {
				if (yych <= '`') goto yy281;
				if (yych <= 'z') goto yy376;
				if (yych <= '~') goto yy281;
				goto yy376;
			}
		}
yy378:
		YYDEBUG(378, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\'') goto yy281;
		if (yych <= '/') goto yy387;
		if (yych <= '9') goto yy281;
		goto yy387;
yy379:
		YYDEBUG(379, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '"') goto yy281;
		if (yych <= '/') goto yy381;
		if (yych <= '9') goto yy281;
		goto yy381;
yy380:
		YYDEBUG(380, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy381:
		YYDEBUG(381, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych != '"') goto yy281;
			} else {
				if (yych <= '9') goto yy380;
				if (yych <= '@') goto yy281;
				goto yy380;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy380;
				goto yy281;
			} else {
				if (yych <= 'z') goto yy380;
				if (yych <= '~') goto yy281;
				goto yy380;
			}
		}
yy382:
		YYDEBUG(382, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy383;
		if (yych == '\r') goto yy385;
		goto yy281;
yy383:
		YYDEBUG(383, *YYCURSOR);
		++YYCURSOR;
yy384:
		YYDEBUG(384, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1888 "Zend/zend_language_scanner.l"
		{
	char *s;
	int bprefix = (yytext[0] != '<') ? 1 : 0;

	CG(zend_lineno)++;
	CG(heredoc_len) = yyleng-bprefix-3-1-(yytext[yyleng-2]=='\r'?1:0);
	s = yytext+bprefix+3;
	while ((*s == ' ') || (*s == '\t')) {
		s++;
		CG(heredoc_len)--;
	}

	if (*s == '\'') {
		s++;
		CG(heredoc_len) -= 2;

		BEGIN(ST_NOWDOC);
	} else {
		if (*s == '"') {
			s++;
			CG(heredoc_len) -= 2;
		}

		BEGIN(ST_HEREDOC);
	}

	CG(heredoc) = estrndup(s, CG(heredoc_len));

	/* Check for ending label on the next line */
	if (CG(heredoc_len) < YYLIMIT - YYCURSOR && !memcmp(YYCURSOR, s, CG(heredoc_len))) {
		unsigned char *end = YYCURSOR + CG(heredoc_len);

		if (*end == ';') {
			end++;
		}

		if (*end == '\n' || *end == '\r') {
			BEGIN(ST_END_HEREDOC);
		}
	}

	return T_START_HEREDOC;
}
#line 4828 "Zend/zend_language_scanner.c"
yy385:
		YYDEBUG(385, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy383;
		goto yy384;
yy386:
		YYDEBUG(386, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy387:
		YYDEBUG(387, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych == '\'') goto yy382;
				goto yy281;
			} else {
				if (yych <= '9') goto yy386;
				if (yych <= '@') goto yy281;
				goto yy386;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy386;
				goto yy281;
			} else {
				if (yych <= 'z') goto yy386;
				if (yych <= '~') goto yy281;
				goto yy386;
			}
		}
yy388:
		YYDEBUG(388, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '=') goto yy364;
		YYDEBUG(389, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(390, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1230 "Zend/zend_language_scanner.l"
		{
	return T_IS_NOT_IDENTICAL;
}
#line 4872 "Zend/zend_language_scanner.c"
yy391:
		YYDEBUG(391, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(392, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1250 "Zend/zend_language_scanner.l"
		{
	return T_PLUS_EQUAL;
}
#line 4882 "Zend/zend_language_scanner.c"
yy393:
		YYDEBUG(393, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(394, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1218 "Zend/zend_language_scanner.l"
		{
	return T_INC;
}
#line 4892 "Zend/zend_language_scanner.c"
yy395:
		YYDEBUG(395, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy396;
		if (yych != 's') goto yy295;
yy396:
		YYDEBUG(396, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy397;
		if (yych != 't') goto yy295;
yy397:
		YYDEBUG(397, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(398, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1210 "Zend/zend_language_scanner.l"
		{
	return T_LIST;
}
#line 4915 "Zend/zend_language_scanner.c"
yy399:
		YYDEBUG(399, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy403;
		YYDEBUG(400, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1234 "Zend/zend_language_scanner.l"
		{
	return T_IS_EQUAL;
}
#line 4926 "Zend/zend_language_scanner.c"
yy401:
		YYDEBUG(401, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(402, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1206 "Zend/zend_language_scanner.l"
		{
	return T_DOUBLE_ARROW;
}
#line 4936 "Zend/zend_language_scanner.c"
yy403:
		YYDEBUG(403, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(404, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1226 "Zend/zend_language_scanner.l"
		{
	return T_IS_IDENTICAL;
}
#line 4946 "Zend/zend_language_scanner.c"
yy405:
		YYDEBUG(405, *YYCURSOR);
		yych = *++YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 'C':
		case 'c':	goto yy407;
		case 'D':
		case 'd':	goto yy411;
		case 'F':
		case 'f':	goto yy408;
		case 'H':
		case 'h':	goto yy406;
		case 'L':
		case 'l':	goto yy410;
		case 'M':
		case 'm':	goto yy409;
		case 'N':
		case 'n':	goto yy412;
		default:	goto yy295;
		}
yy406:
		YYDEBUG(406, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy466;
		if (yych == 'a') goto yy466;
		goto yy295;
yy407:
		YYDEBUG(407, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy459;
		if (yych == 'l') goto yy459;
		goto yy295;
yy408:
		YYDEBUG(408, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych == 'I') goto yy443;
			if (yych <= 'T') goto yy295;
			goto yy444;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy295;
				goto yy443;
			} else {
				if (yych == 'u') goto yy444;
				goto yy295;
			}
		}
yy409:
		YYDEBUG(409, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy435;
		if (yych == 'e') goto yy435;
		goto yy295;
yy410:
		YYDEBUG(410, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy429;
		if (yych == 'i') goto yy429;
		goto yy295;
yy411:
		YYDEBUG(411, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy424;
		if (yych == 'i') goto yy424;
		goto yy295;
yy412:
		YYDEBUG(412, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy413;
		if (yych != 'a') goto yy295;
yy413:
		YYDEBUG(413, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy414;
		if (yych != 'm') goto yy295;
yy414:
		YYDEBUG(414, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy415;
		if (yych != 'e') goto yy295;
yy415:
		YYDEBUG(415, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy416;
		if (yych != 's') goto yy295;
yy416:
		YYDEBUG(416, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy417;
		if (yych != 'p') goto yy295;
yy417:
		YYDEBUG(417, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy418;
		if (yych != 'a') goto yy295;
yy418:
		YYDEBUG(418, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy419;
		if (yych != 'c') goto yy295;
yy419:
		YYDEBUG(419, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy420;
		if (yych != 'e') goto yy295;
yy420:
		YYDEBUG(420, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(421, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(422, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(423, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1530 "Zend/zend_language_scanner.l"
		{
	if (CG(current_namespace)) {
		*zendlval = *CG(current_namespace);
		zval_copy_ctor(zendlval);
	} else {
		ZVAL_EMPTY_STRING(zendlval);
	}
	return T_NS_C;
}
#line 5078 "Zend/zend_language_scanner.c"
yy424:
		YYDEBUG(424, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy425;
		if (yych != 'r') goto yy295;
yy425:
		YYDEBUG(425, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(426, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(427, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(428, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1503 "Zend/zend_language_scanner.l"
		{
	char *filename = zend_get_compiled_filename(TSRMLS_C);
	const size_t filename_len = strlen(filename);
	char *dirname;

	if (!filename) {
		filename = "";
	}

	dirname = estrndup(filename, filename_len);
	zend_dirname(dirname, filename_len);

	if (strcmp(dirname, ".") == 0) {
		dirname = erealloc(dirname, MAXPATHLEN);
#if HAVE_GETCWD
		VCWD_GETCWD(dirname, MAXPATHLEN);
#elif HAVE_GETWD
		VCWD_GETWD(dirname);
#endif
	}

	zendlval->value.str.len = strlen(dirname);
	zendlval->value.str.val = dirname;
	zendlval->type = IS_STRING;
	return T_DIR;
}
#line 5125 "Zend/zend_language_scanner.c"
yy429:
		YYDEBUG(429, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy430;
		if (yych != 'n') goto yy295;
yy430:
		YYDEBUG(430, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy431;
		if (yych != 'e') goto yy295;
yy431:
		YYDEBUG(431, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(432, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(433, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(434, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1485 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = CG(zend_lineno);
	zendlval->type = IS_LONG;
	return T_LINE;
}
#line 5156 "Zend/zend_language_scanner.c"
yy435:
		YYDEBUG(435, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy436;
		if (yych != 't') goto yy295;
yy436:
		YYDEBUG(436, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy437;
		if (yych != 'h') goto yy295;
yy437:
		YYDEBUG(437, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy438;
		if (yych != 'o') goto yy295;
yy438:
		YYDEBUG(438, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy439;
		if (yych != 'd') goto yy295;
yy439:
		YYDEBUG(439, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(440, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(441, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(442, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1464 "Zend/zend_language_scanner.l"
		{
	char *class_name = CG(active_class_entry) ? CG(active_class_entry)->name : NULL;
	char *func_name = CG(active_op_array)? CG(active_op_array)->function_name : NULL;
	size_t len = 0;

	if (class_name) {
		len += strlen(class_name) + 2;
	}
	if (func_name) {
		len += strlen(func_name);
	}

	zendlval->value.str.len = zend_spprintf(&zendlval->value.str.val, 0, "%s%s%s", 
		class_name ? class_name : "",
		class_name && func_name ? "::" : "",
		func_name ? func_name : ""
		);
	zendlval->type = IS_STRING;
	return T_METHOD_C;
}
#line 5212 "Zend/zend_language_scanner.c"
yy443:
		YYDEBUG(443, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy454;
		if (yych == 'l') goto yy454;
		goto yy295;
yy444:
		YYDEBUG(444, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy445;
		if (yych != 'n') goto yy295;
yy445:
		YYDEBUG(445, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy446;
		if (yych != 'c') goto yy295;
yy446:
		YYDEBUG(446, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy447;
		if (yych != 't') goto yy295;
yy447:
		YYDEBUG(447, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy448;
		if (yych != 'i') goto yy295;
yy448:
		YYDEBUG(448, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy449;
		if (yych != 'o') goto yy295;
yy449:
		YYDEBUG(449, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy450;
		if (yych != 'n') goto yy295;
yy450:
		YYDEBUG(450, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(451, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(452, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(453, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1448 "Zend/zend_language_scanner.l"
		{
	char *func_name = NULL;

	if (CG(active_op_array)) {
		func_name = CG(active_op_array)->function_name;
	}

	if (!func_name) {
		func_name = "";
	}
	zendlval->value.str.len = strlen(func_name);
	zendlval->value.str.val = estrndup(func_name, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_FUNC_C;
}
#line 5279 "Zend/zend_language_scanner.c"
yy454:
		YYDEBUG(454, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy455;
		if (yych != 'e') goto yy295;
yy455:
		YYDEBUG(455, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(456, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(457, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(458, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1491 "Zend/zend_language_scanner.l"
		{
	char *filename = zend_get_compiled_filename(TSRMLS_C);

	if (!filename) {
		filename = "";
	}
	zendlval->value.str.len = strlen(filename);
	zendlval->value.str.val = estrndup(filename, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_FILE;
}
#line 5311 "Zend/zend_language_scanner.c"
yy459:
		YYDEBUG(459, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy460;
		if (yych != 'a') goto yy295;
yy460:
		YYDEBUG(460, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy461;
		if (yych != 's') goto yy295;
yy461:
		YYDEBUG(461, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy462;
		if (yych != 's') goto yy295;
yy462:
		YYDEBUG(462, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(463, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(464, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(465, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1432 "Zend/zend_language_scanner.l"
		{
	char *class_name = NULL;

	if (CG(active_class_entry)) {
		class_name = CG(active_class_entry)->name;
	}

	if (!class_name) {
		class_name = "";
	}
	zendlval->value.str.len = strlen(class_name);
	zendlval->value.str.val = estrndup(class_name, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_CLASS_C;
}
#line 5357 "Zend/zend_language_scanner.c"
yy466:
		YYDEBUG(466, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy467;
		if (yych != 'l') goto yy295;
yy467:
		YYDEBUG(467, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy468;
		if (yych != 't') goto yy295;
yy468:
		YYDEBUG(468, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy295;
		YYDEBUG(469, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy470;
		if (yych != 'c') goto yy295;
yy470:
		YYDEBUG(470, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy471;
		if (yych != 'o') goto yy295;
yy471:
		YYDEBUG(471, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy472;
		if (yych != 'm') goto yy295;
yy472:
		YYDEBUG(472, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy473;
		if (yych != 'p') goto yy295;
yy473:
		YYDEBUG(473, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy474;
		if (yych != 'i') goto yy295;
yy474:
		YYDEBUG(474, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy475;
		if (yych != 'l') goto yy295;
yy475:
		YYDEBUG(475, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy476;
		if (yych != 'e') goto yy295;
yy476:
		YYDEBUG(476, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy477;
		if (yych != 'r') goto yy295;
yy477:
		YYDEBUG(477, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(478, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1174 "Zend/zend_language_scanner.l"
		{
	return T_HALT_COMPILER;
}
#line 5423 "Zend/zend_language_scanner.c"
yy479:
		YYDEBUG(479, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy483;
		if (yych == 's') goto yy483;
		goto yy295;
yy480:
		YYDEBUG(480, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy481;
		if (yych != 'e') goto yy295;
yy481:
		YYDEBUG(481, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(482, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1158 "Zend/zend_language_scanner.l"
		{
	return T_USE;
}
#line 5447 "Zend/zend_language_scanner.c"
yy483:
		YYDEBUG(483, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy484;
		if (yych != 'e') goto yy295;
yy484:
		YYDEBUG(484, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy485;
		if (yych != 't') goto yy295;
yy485:
		YYDEBUG(485, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(486, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1202 "Zend/zend_language_scanner.l"
		{
	return T_UNSET;
}
#line 5470 "Zend/zend_language_scanner.c"
yy487:
		YYDEBUG(487, *YYCURSOR);
		++YYCURSOR;
		YYFILL(7);
		yych = *YYCURSOR;
yy488:
		YYDEBUG(488, *YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'D') {
				if (yych <= ' ') {
					if (yych == '\t') goto yy487;
					if (yych <= 0x1F) goto yy281;
					goto yy487;
				} else {
					if (yych <= 'A') {
						if (yych <= '@') goto yy281;
						goto yy492;
					} else {
						if (yych <= 'B') goto yy490;
						if (yych <= 'C') goto yy281;
						goto yy495;
					}
				}
			} else {
				if (yych <= 'I') {
					if (yych == 'F') goto yy496;
					if (yych <= 'H') goto yy281;
					goto yy497;
				} else {
					if (yych <= 'O') {
						if (yych <= 'N') goto yy281;
						goto yy491;
					} else {
						if (yych <= 'Q') goto yy281;
						if (yych <= 'R') goto yy494;
						goto yy493;
					}
				}
			}
		} else {
			if (yych <= 'f') {
				if (yych <= 'a') {
					if (yych == 'U') goto yy489;
					if (yych <= '`') goto yy281;
					goto yy492;
				} else {
					if (yych <= 'c') {
						if (yych <= 'b') goto yy490;
						goto yy281;
					} else {
						if (yych <= 'd') goto yy495;
						if (yych <= 'e') goto yy281;
						goto yy496;
					}
				}
			} else {
				if (yych <= 'q') {
					if (yych <= 'i') {
						if (yych <= 'h') goto yy281;
						goto yy497;
					} else {
						if (yych == 'o') goto yy491;
						goto yy281;
					}
				} else {
					if (yych <= 's') {
						if (yych <= 'r') goto yy494;
						goto yy493;
					} else {
						if (yych != 'u') goto yy281;
					}
				}
			}
		}
yy489:
		YYDEBUG(489, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy560;
		if (yych == 'n') goto yy560;
		goto yy281;
yy490:
		YYDEBUG(490, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'I') goto yy543;
			if (yych <= 'N') goto yy281;
			goto yy544;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy281;
				goto yy543;
			} else {
				if (yych == 'o') goto yy544;
				goto yy281;
			}
		}
yy491:
		YYDEBUG(491, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy535;
		if (yych == 'b') goto yy535;
		goto yy281;
yy492:
		YYDEBUG(492, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy528;
		if (yych == 'r') goto yy528;
		goto yy281;
yy493:
		YYDEBUG(493, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy520;
		if (yych == 't') goto yy520;
		goto yy281;
yy494:
		YYDEBUG(494, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy518;
		if (yych == 'e') goto yy518;
		goto yy281;
yy495:
		YYDEBUG(495, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy514;
		if (yych == 'o') goto yy514;
		goto yy281;
yy496:
		YYDEBUG(496, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy507;
		if (yych == 'l') goto yy507;
		goto yy281;
yy497:
		YYDEBUG(497, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy498;
		if (yych != 'n') goto yy281;
yy498:
		YYDEBUG(498, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy499;
		if (yych != 't') goto yy281;
yy499:
		YYDEBUG(499, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy500;
		if (yych != 'e') goto yy502;
yy500:
		YYDEBUG(500, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy505;
		if (yych == 'g') goto yy505;
		goto yy281;
yy501:
		YYDEBUG(501, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy502:
		YYDEBUG(502, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy501;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy501;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(503, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(504, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1102 "Zend/zend_language_scanner.l"
		{
	return T_INT_CAST;
}
#line 5646 "Zend/zend_language_scanner.c"
yy505:
		YYDEBUG(505, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy506;
		if (yych != 'e') goto yy281;
yy506:
		YYDEBUG(506, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy501;
		if (yych == 'r') goto yy501;
		goto yy281;
yy507:
		YYDEBUG(507, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy508;
		if (yych != 'o') goto yy281;
yy508:
		YYDEBUG(508, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy509;
		if (yych != 'a') goto yy281;
yy509:
		YYDEBUG(509, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy510;
		if (yych != 't') goto yy281;
yy510:
		YYDEBUG(510, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(511, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy510;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy510;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(512, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(513, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1106 "Zend/zend_language_scanner.l"
		{
	return T_DOUBLE_CAST;
}
#line 5694 "Zend/zend_language_scanner.c"
yy514:
		YYDEBUG(514, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy515;
		if (yych != 'u') goto yy281;
yy515:
		YYDEBUG(515, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy516;
		if (yych != 'b') goto yy281;
yy516:
		YYDEBUG(516, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy517;
		if (yych != 'l') goto yy281;
yy517:
		YYDEBUG(517, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy510;
		if (yych == 'e') goto yy510;
		goto yy281;
yy518:
		YYDEBUG(518, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy519;
		if (yych != 'a') goto yy281;
yy519:
		YYDEBUG(519, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy510;
		if (yych == 'l') goto yy510;
		goto yy281;
yy520:
		YYDEBUG(520, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy521;
		if (yych != 'r') goto yy281;
yy521:
		YYDEBUG(521, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy522;
		if (yych != 'i') goto yy281;
yy522:
		YYDEBUG(522, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy523;
		if (yych != 'n') goto yy281;
yy523:
		YYDEBUG(523, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy524;
		if (yych != 'g') goto yy281;
yy524:
		YYDEBUG(524, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(525, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy524;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy524;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(526, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(527, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1110 "Zend/zend_language_scanner.l"
		{
	return T_STRING_CAST;
}
#line 5768 "Zend/zend_language_scanner.c"
yy528:
		YYDEBUG(528, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy529;
		if (yych != 'r') goto yy281;
yy529:
		YYDEBUG(529, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy530;
		if (yych != 'a') goto yy281;
yy530:
		YYDEBUG(530, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy531;
		if (yych != 'y') goto yy281;
yy531:
		YYDEBUG(531, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(532, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy531;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy531;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(533, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(534, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1118 "Zend/zend_language_scanner.l"
		{
	return T_ARRAY_CAST;
}
#line 5805 "Zend/zend_language_scanner.c"
yy535:
		YYDEBUG(535, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'J') goto yy536;
		if (yych != 'j') goto yy281;
yy536:
		YYDEBUG(536, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy537;
		if (yych != 'e') goto yy281;
yy537:
		YYDEBUG(537, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy538;
		if (yych != 'c') goto yy281;
yy538:
		YYDEBUG(538, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy539;
		if (yych != 't') goto yy281;
yy539:
		YYDEBUG(539, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(540, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy539;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy539;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(541, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(542, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1122 "Zend/zend_language_scanner.l"
		{
	return T_OBJECT_CAST;
}
#line 5847 "Zend/zend_language_scanner.c"
yy543:
		YYDEBUG(543, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy553;
		if (yych == 'n') goto yy553;
		goto yy281;
yy544:
		YYDEBUG(544, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy545;
		if (yych != 'o') goto yy281;
yy545:
		YYDEBUG(545, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy546;
		if (yych != 'l') goto yy281;
yy546:
		YYDEBUG(546, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy551;
		if (yych == 'e') goto yy551;
		goto yy548;
yy547:
		YYDEBUG(547, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy548:
		YYDEBUG(548, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy547;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy547;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(549, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(550, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1126 "Zend/zend_language_scanner.l"
		{
	return T_BOOL_CAST;
}
#line 5892 "Zend/zend_language_scanner.c"
yy551:
		YYDEBUG(551, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy552;
		if (yych != 'a') goto yy281;
yy552:
		YYDEBUG(552, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy547;
		if (yych == 'n') goto yy547;
		goto yy281;
yy553:
		YYDEBUG(553, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy554;
		if (yych != 'a') goto yy281;
yy554:
		YYDEBUG(554, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy555;
		if (yych != 'r') goto yy281;
yy555:
		YYDEBUG(555, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy556;
		if (yych != 'y') goto yy281;
yy556:
		YYDEBUG(556, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(557, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy556;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy556;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(558, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(559, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1114 "Zend/zend_language_scanner.l"
		{
	return T_STRING_CAST;
}
#line 5940 "Zend/zend_language_scanner.c"
yy560:
		YYDEBUG(560, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy561;
		if (yych != 's') goto yy281;
yy561:
		YYDEBUG(561, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy562;
		if (yych != 'e') goto yy281;
yy562:
		YYDEBUG(562, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy563;
		if (yych != 't') goto yy281;
yy563:
		YYDEBUG(563, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(564, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy563;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy563;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(565, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(566, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1130 "Zend/zend_language_scanner.l"
		{
	return T_UNSET_CAST;
}
#line 5977 "Zend/zend_language_scanner.c"
yy567:
		YYDEBUG(567, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy568;
		if (yych != 'r') goto yy295;
yy568:
		YYDEBUG(568, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(569, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1098 "Zend/zend_language_scanner.l"
		{
	return T_VAR;
}
#line 5995 "Zend/zend_language_scanner.c"
yy570:
		YYDEBUG(570, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy574;
		if (yych == 'm') goto yy574;
		goto yy295;
yy571:
		YYDEBUG(571, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy572;
		if (yych != 'w') goto yy295;
yy572:
		YYDEBUG(572, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(573, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1090 "Zend/zend_language_scanner.l"
		{
	return T_NEW;
}
#line 6019 "Zend/zend_language_scanner.c"
yy574:
		YYDEBUG(574, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy575;
		if (yych != 'e') goto yy295;
yy575:
		YYDEBUG(575, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy576;
		if (yych != 's') goto yy295;
yy576:
		YYDEBUG(576, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy577;
		if (yych != 'p') goto yy295;
yy577:
		YYDEBUG(577, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy578;
		if (yych != 'a') goto yy295;
yy578:
		YYDEBUG(578, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy579;
		if (yych != 'c') goto yy295;
yy579:
		YYDEBUG(579, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy580;
		if (yych != 'e') goto yy295;
yy580:
		YYDEBUG(580, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(581, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1154 "Zend/zend_language_scanner.l"
		{
	return T_NAMESPACE;
}
#line 6062 "Zend/zend_language_scanner.c"
yy582:
		YYDEBUG(582, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(583, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1082 "Zend/zend_language_scanner.l"
		{
	return T_PAAMAYIM_NEKUDOTAYIM;
}
#line 6072 "Zend/zend_language_scanner.c"
yy584:
		YYDEBUG(584, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy585:
		YYDEBUG(585, *YYCURSOR);
		if (yych <= '\f') {
			if (yych <= 0x08) goto yy234;
			if (yych <= '\n') goto yy584;
			goto yy234;
		} else {
			if (yych <= '\r') goto yy584;
			if (yych == ' ') goto yy584;
			goto yy234;
		}
yy586:
		YYDEBUG(586, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(587, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1254 "Zend/zend_language_scanner.l"
		{
	return T_MINUS_EQUAL;
}
#line 6098 "Zend/zend_language_scanner.c"
yy588:
		YYDEBUG(588, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(589, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1222 "Zend/zend_language_scanner.l"
		{
	return T_DEC;
}
#line 6108 "Zend/zend_language_scanner.c"
yy590:
		YYDEBUG(590, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(591, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1052 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	return T_OBJECT_OPERATOR;
}
#line 6119 "Zend/zend_language_scanner.c"
yy592:
		YYDEBUG(592, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'I') goto yy599;
			if (yych <= 'N') goto yy295;
			goto yy600;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy295;
				goto yy599;
			} else {
				if (yych == 'o') goto yy600;
				goto yy295;
			}
		}
yy593:
		YYDEBUG(593, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy594;
		if (yych != 'b') goto yy295;
yy594:
		YYDEBUG(594, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy595;
		if (yych != 'l') goto yy295;
yy595:
		YYDEBUG(595, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy596;
		if (yych != 'i') goto yy295;
yy596:
		YYDEBUG(596, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy597;
		if (yych != 'c') goto yy295;
yy597:
		YYDEBUG(597, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(598, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1198 "Zend/zend_language_scanner.l"
		{
	return T_PUBLIC;
}
#line 6168 "Zend/zend_language_scanner.c"
yy599:
		YYDEBUG(599, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'V') {
			if (yych == 'N') goto yy608;
			if (yych <= 'U') goto yy295;
			goto yy609;
		} else {
			if (yych <= 'n') {
				if (yych <= 'm') goto yy295;
				goto yy608;
			} else {
				if (yych == 'v') goto yy609;
				goto yy295;
			}
		}
yy600:
		YYDEBUG(600, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy601;
		if (yych != 't') goto yy295;
yy601:
		YYDEBUG(601, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy602;
		if (yych != 'e') goto yy295;
yy602:
		YYDEBUG(602, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy603;
		if (yych != 'c') goto yy295;
yy603:
		YYDEBUG(603, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy604;
		if (yych != 't') goto yy295;
yy604:
		YYDEBUG(604, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy605;
		if (yych != 'e') goto yy295;
yy605:
		YYDEBUG(605, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy606;
		if (yych != 'd') goto yy295;
yy606:
		YYDEBUG(606, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(607, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1194 "Zend/zend_language_scanner.l"
		{
	return T_PROTECTED;
}
#line 6227 "Zend/zend_language_scanner.c"
yy608:
		YYDEBUG(608, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy614;
		if (yych == 't') goto yy614;
		goto yy295;
yy609:
		YYDEBUG(609, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy610;
		if (yych != 'a') goto yy295;
yy610:
		YYDEBUG(610, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy611;
		if (yych != 't') goto yy295;
yy611:
		YYDEBUG(611, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy612;
		if (yych != 'e') goto yy295;
yy612:
		YYDEBUG(612, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(613, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1190 "Zend/zend_language_scanner.l"
		{
	return T_PRIVATE;
}
#line 6261 "Zend/zend_language_scanner.c"
yy614:
		YYDEBUG(614, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(615, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1032 "Zend/zend_language_scanner.l"
		{
	return T_PRINT;
}
#line 6274 "Zend/zend_language_scanner.c"
yy616:
		YYDEBUG(616, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy621;
		if (yych == 'o') goto yy621;
		goto yy295;
yy617:
		YYDEBUG(617, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy618;
		if (yych != 't') goto yy295;
yy618:
		YYDEBUG(618, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy619;
		if (yych != 'o') goto yy295;
yy619:
		YYDEBUG(619, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(620, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1024 "Zend/zend_language_scanner.l"
		{
	return T_GOTO;
}
#line 6303 "Zend/zend_language_scanner.c"
yy621:
		YYDEBUG(621, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy622;
		if (yych != 'b') goto yy295;
yy622:
		YYDEBUG(622, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy623;
		if (yych != 'a') goto yy295;
yy623:
		YYDEBUG(623, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy624;
		if (yych != 'l') goto yy295;
yy624:
		YYDEBUG(624, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(625, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1162 "Zend/zend_language_scanner.l"
		{
	return T_GLOBAL;
}
#line 6331 "Zend/zend_language_scanner.c"
yy626:
		YYDEBUG(626, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '<') goto yy633;
		goto yy281;
yy627:
		YYDEBUG(627, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy287;
yy628:
		YYDEBUG(628, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy629;
		if (yych != 'e') goto yy295;
yy629:
		YYDEBUG(629, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy630;
		if (yych != 'a') goto yy295;
yy630:
		YYDEBUG(630, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'K') goto yy631;
		if (yych != 'k') goto yy295;
yy631:
		YYDEBUG(631, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(632, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1016 "Zend/zend_language_scanner.l"
		{
	return T_BREAK;
}
#line 6369 "Zend/zend_language_scanner.c"
yy633:
		YYDEBUG(633, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '<') goto yy374;
		goto yy281;
yy634:
		YYDEBUG(634, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy641;
		if (yych == 'a') goto yy641;
		goto yy295;
yy635:
		YYDEBUG(635, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy636;
		if (yych != 'i') goto yy295;
yy636:
		YYDEBUG(636, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy637;
		if (yych != 't') goto yy295;
yy637:
		YYDEBUG(637, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy638;
		if (yych != 'c') goto yy295;
yy638:
		YYDEBUG(638, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy639;
		if (yych != 'h') goto yy295;
yy639:
		YYDEBUG(639, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(640, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1000 "Zend/zend_language_scanner.l"
		{
	return T_SWITCH;
}
#line 6413 "Zend/zend_language_scanner.c"
yy641:
		YYDEBUG(641, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy642;
		if (yych != 't') goto yy295;
yy642:
		YYDEBUG(642, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy643;
		if (yych != 'i') goto yy295;
yy643:
		YYDEBUG(643, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy644;
		if (yych != 'c') goto yy295;
yy644:
		YYDEBUG(644, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(645, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1178 "Zend/zend_language_scanner.l"
		{
	return T_STATIC;
}
#line 6441 "Zend/zend_language_scanner.c"
yy646:
		YYDEBUG(646, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy657;
		if (yych == 's') goto yy657;
		goto yy295;
yy647:
		YYDEBUG(647, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy655;
		if (yych == 'd') goto yy655;
		goto yy295;
yy648:
		YYDEBUG(648, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy651;
		if (yych == 'r') goto yy651;
		goto yy295;
yy649:
		YYDEBUG(649, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(650, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 996 "Zend/zend_language_scanner.l"
		{
	return T_AS;
}
#line 6472 "Zend/zend_language_scanner.c"
yy651:
		YYDEBUG(651, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy652;
		if (yych != 'a') goto yy295;
yy652:
		YYDEBUG(652, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy653;
		if (yych != 'y') goto yy295;
yy653:
		YYDEBUG(653, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(654, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1214 "Zend/zend_language_scanner.l"
		{
	return T_ARRAY;
}
#line 6495 "Zend/zend_language_scanner.c"
yy655:
		YYDEBUG(655, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(656, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1306 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_AND;
}
#line 6508 "Zend/zend_language_scanner.c"
yy657:
		YYDEBUG(657, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy658;
		if (yych != 't') goto yy295;
yy658:
		YYDEBUG(658, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy659;
		if (yych != 'r') goto yy295;
yy659:
		YYDEBUG(659, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy660;
		if (yych != 'a') goto yy295;
yy660:
		YYDEBUG(660, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy661;
		if (yych != 'c') goto yy295;
yy661:
		YYDEBUG(661, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy662;
		if (yych != 't') goto yy295;
yy662:
		YYDEBUG(662, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(663, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1182 "Zend/zend_language_scanner.l"
		{
	return T_ABSTRACT;
}
#line 6546 "Zend/zend_language_scanner.c"
yy664:
		YYDEBUG(664, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy665;
		if (yych != 'i') goto yy295;
yy665:
		YYDEBUG(665, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy666;
		if (yych != 'l') goto yy295;
yy666:
		YYDEBUG(666, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy667;
		if (yych != 'e') goto yy295;
yy667:
		YYDEBUG(667, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(668, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 956 "Zend/zend_language_scanner.l"
		{
	return T_WHILE;
}
#line 6574 "Zend/zend_language_scanner.c"
yy669:
		YYDEBUG(669, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(670, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 940 "Zend/zend_language_scanner.l"
		{
	return T_IF;
}
#line 6587 "Zend/zend_language_scanner.c"
yy671:
		YYDEBUG(671, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy707;
		if (yych == 'p') goto yy707;
		goto yy295;
yy672:
		YYDEBUG(672, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'C') {
				if (yych <= 'B') goto yy295;
				goto yy680;
			} else {
				if (yych <= 'R') goto yy295;
				if (yych <= 'S') goto yy678;
				goto yy679;
			}
		} else {
			if (yych <= 'r') {
				if (yych == 'c') goto yy680;
				goto yy295;
			} else {
				if (yych <= 's') goto yy678;
				if (yych <= 't') goto yy679;
				goto yy295;
			}
		}
yy673:
		YYDEBUG(673, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy674;
		if (yych != 's') goto yy295;
yy674:
		YYDEBUG(674, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy675;
		if (yych != 'e') goto yy295;
yy675:
		YYDEBUG(675, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy676;
		if (yych != 't') goto yy295;
yy676:
		YYDEBUG(676, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(677, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1166 "Zend/zend_language_scanner.l"
		{
	return T_ISSET;
}
#line 6643 "Zend/zend_language_scanner.c"
yy678:
		YYDEBUG(678, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy699;
		if (yych == 't') goto yy699;
		goto yy295;
yy679:
		YYDEBUG(679, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy692;
		if (yych == 'e') goto yy692;
		goto yy295;
yy680:
		YYDEBUG(680, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy681;
		if (yych != 'l') goto yy295;
yy681:
		YYDEBUG(681, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy682;
		if (yych != 'u') goto yy295;
yy682:
		YYDEBUG(682, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy683;
		if (yych != 'd') goto yy295;
yy683:
		YYDEBUG(683, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy684;
		if (yych != 'e') goto yy295;
yy684:
		YYDEBUG(684, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy294;
			} else {
				if (yych <= '@') goto yy685;
				if (yych <= 'Z') goto yy294;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy686;
			} else {
				if (yych <= 'z') goto yy294;
				if (yych >= 0x7F) goto yy294;
			}
		}
yy685:
		YYDEBUG(685, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1138 "Zend/zend_language_scanner.l"
		{
	return T_INCLUDE;
}
#line 6701 "Zend/zend_language_scanner.c"
yy686:
		YYDEBUG(686, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy687;
		if (yych != 'o') goto yy295;
yy687:
		YYDEBUG(687, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy688;
		if (yych != 'n') goto yy295;
yy688:
		YYDEBUG(688, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy689;
		if (yych != 'c') goto yy295;
yy689:
		YYDEBUG(689, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy690;
		if (yych != 'e') goto yy295;
yy690:
		YYDEBUG(690, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(691, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1142 "Zend/zend_language_scanner.l"
		{
	return T_INCLUDE_ONCE;
}
#line 6734 "Zend/zend_language_scanner.c"
yy692:
		YYDEBUG(692, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy693;
		if (yych != 'r') goto yy295;
yy693:
		YYDEBUG(693, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy694;
		if (yych != 'f') goto yy295;
yy694:
		YYDEBUG(694, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy695;
		if (yych != 'a') goto yy295;
yy695:
		YYDEBUG(695, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy696;
		if (yych != 'c') goto yy295;
yy696:
		YYDEBUG(696, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy697;
		if (yych != 'e') goto yy295;
yy697:
		YYDEBUG(697, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(698, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1040 "Zend/zend_language_scanner.l"
		{
	return T_INTERFACE;
}
#line 6772 "Zend/zend_language_scanner.c"
yy699:
		YYDEBUG(699, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy700;
		if (yych != 'a') goto yy295;
yy700:
		YYDEBUG(700, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy701;
		if (yych != 'n') goto yy295;
yy701:
		YYDEBUG(701, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy702;
		if (yych != 'c') goto yy295;
yy702:
		YYDEBUG(702, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy703;
		if (yych != 'e') goto yy295;
yy703:
		YYDEBUG(703, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy704;
		if (yych != 'o') goto yy295;
yy704:
		YYDEBUG(704, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy705;
		if (yych != 'f') goto yy295;
yy705:
		YYDEBUG(705, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(706, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 992 "Zend/zend_language_scanner.l"
		{
	return T_INSTANCEOF;
}
#line 6815 "Zend/zend_language_scanner.c"
yy707:
		YYDEBUG(707, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy708;
		if (yych != 'l') goto yy295;
yy708:
		YYDEBUG(708, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy709;
		if (yych != 'e') goto yy295;
yy709:
		YYDEBUG(709, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy710;
		if (yych != 'm') goto yy295;
yy710:
		YYDEBUG(710, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy711;
		if (yych != 'e') goto yy295;
yy711:
		YYDEBUG(711, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy712;
		if (yych != 'n') goto yy295;
yy712:
		YYDEBUG(712, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy713;
		if (yych != 't') goto yy295;
yy713:
		YYDEBUG(713, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy714;
		if (yych != 's') goto yy295;
yy714:
		YYDEBUG(714, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(715, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1048 "Zend/zend_language_scanner.l"
		{
	return T_IMPLEMENTS;
}
#line 6863 "Zend/zend_language_scanner.c"
yy716:
		YYDEBUG(716, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy720;
		if (yych == 'r') goto yy720;
		goto yy295;
yy717:
		YYDEBUG(717, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy718;
		if (yych != 'y') goto yy295;
yy718:
		YYDEBUG(718, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(719, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 928 "Zend/zend_language_scanner.l"
		{
	return T_TRY;
}
#line 6887 "Zend/zend_language_scanner.c"
yy720:
		YYDEBUG(720, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy721;
		if (yych != 'o') goto yy295;
yy721:
		YYDEBUG(721, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy722;
		if (yych != 'w') goto yy295;
yy722:
		YYDEBUG(722, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(723, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 936 "Zend/zend_language_scanner.l"
		{
	return T_THROW;
}
#line 6910 "Zend/zend_language_scanner.c"
yy724:
		YYDEBUG(724, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych == 'Q') goto yy726;
			if (yych <= 'S') goto yy295;
		} else {
			if (yych <= 'q') {
				if (yych <= 'p') goto yy295;
				goto yy726;
			} else {
				if (yych != 't') goto yy295;
			}
		}
		YYDEBUG(725, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy738;
		if (yych == 'u') goto yy738;
		goto yy295;
yy726:
		YYDEBUG(726, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy727;
		if (yych != 'u') goto yy295;
yy727:
		YYDEBUG(727, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy728;
		if (yych != 'i') goto yy295;
yy728:
		YYDEBUG(728, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy729;
		if (yych != 'r') goto yy295;
yy729:
		YYDEBUG(729, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy730;
		if (yych != 'e') goto yy295;
yy730:
		YYDEBUG(730, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy294;
			} else {
				if (yych <= '@') goto yy731;
				if (yych <= 'Z') goto yy294;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy732;
			} else {
				if (yych <= 'z') goto yy294;
				if (yych >= 0x7F) goto yy294;
			}
		}
yy731:
		YYDEBUG(731, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1146 "Zend/zend_language_scanner.l"
		{
	return T_REQUIRE;
}
#line 6975 "Zend/zend_language_scanner.c"
yy732:
		YYDEBUG(732, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy733;
		if (yych != 'o') goto yy295;
yy733:
		YYDEBUG(733, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy734;
		if (yych != 'n') goto yy295;
yy734:
		YYDEBUG(734, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy735;
		if (yych != 'c') goto yy295;
yy735:
		YYDEBUG(735, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy736;
		if (yych != 'e') goto yy295;
yy736:
		YYDEBUG(736, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(737, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1150 "Zend/zend_language_scanner.l"
		{
	return T_REQUIRE_ONCE;
}
#line 7008 "Zend/zend_language_scanner.c"
yy738:
		YYDEBUG(738, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy739;
		if (yych != 'r') goto yy295;
yy739:
		YYDEBUG(739, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy740;
		if (yych != 'n') goto yy295;
yy740:
		YYDEBUG(740, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(741, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 924 "Zend/zend_language_scanner.l"
		{
	return T_RETURN;
}
#line 7031 "Zend/zend_language_scanner.c"
yy742:
		YYDEBUG(742, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'R') goto yy295;
			if (yych <= 'S') goto yy764;
			goto yy763;
		} else {
			if (yych <= 'r') goto yy295;
			if (yych <= 's') goto yy764;
			if (yych <= 't') goto yy763;
			goto yy295;
		}
yy743:
		YYDEBUG(743, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'A') goto yy755;
			if (yych <= 'N') goto yy295;
			goto yy756;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy295;
				goto yy755;
			} else {
				if (yych == 'o') goto yy756;
				goto yy295;
			}
		}
yy744:
		YYDEBUG(744, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy745;
		if (yych != 'n') goto yy295;
yy745:
		YYDEBUG(745, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'R') goto yy295;
			if (yych >= 'T') goto yy747;
		} else {
			if (yych <= 'r') goto yy295;
			if (yych <= 's') goto yy746;
			if (yych <= 't') goto yy747;
			goto yy295;
		}
yy746:
		YYDEBUG(746, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy753;
		if (yych == 't') goto yy753;
		goto yy295;
yy747:
		YYDEBUG(747, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy748;
		if (yych != 'i') goto yy295;
yy748:
		YYDEBUG(748, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy749;
		if (yych != 'n') goto yy295;
yy749:
		YYDEBUG(749, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy750;
		if (yych != 'u') goto yy295;
yy750:
		YYDEBUG(750, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy751;
		if (yych != 'e') goto yy295;
yy751:
		YYDEBUG(751, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(752, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1020 "Zend/zend_language_scanner.l"
		{
	return T_CONTINUE;
}
#line 7116 "Zend/zend_language_scanner.c"
yy753:
		YYDEBUG(753, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(754, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 920 "Zend/zend_language_scanner.l"
		{
	return T_CONST;
}
#line 7129 "Zend/zend_language_scanner.c"
yy755:
		YYDEBUG(755, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy760;
		if (yych == 's') goto yy760;
		goto yy295;
yy756:
		YYDEBUG(756, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy757;
		if (yych != 'n') goto yy295;
yy757:
		YYDEBUG(757, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy758;
		if (yych != 'e') goto yy295;
yy758:
		YYDEBUG(758, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(759, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1094 "Zend/zend_language_scanner.l"
		{
	return T_CLONE;
}
#line 7158 "Zend/zend_language_scanner.c"
yy760:
		YYDEBUG(760, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy761;
		if (yych != 's') goto yy295;
yy761:
		YYDEBUG(761, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(762, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1036 "Zend/zend_language_scanner.l"
		{
	return T_CLASS;
}
#line 7176 "Zend/zend_language_scanner.c"
yy763:
		YYDEBUG(763, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy767;
		if (yych == 'c') goto yy767;
		goto yy295;
yy764:
		YYDEBUG(764, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy765;
		if (yych != 'e') goto yy295;
yy765:
		YYDEBUG(765, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(766, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1008 "Zend/zend_language_scanner.l"
		{
	return T_CASE;
}
#line 7200 "Zend/zend_language_scanner.c"
yy767:
		YYDEBUG(767, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy768;
		if (yych != 'h') goto yy295;
yy768:
		YYDEBUG(768, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(769, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 932 "Zend/zend_language_scanner.l"
		{
	return T_CATCH;
}
#line 7218 "Zend/zend_language_scanner.c"
yy770:
		YYDEBUG(770, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy787;
		if (yych == 'n') goto yy787;
		goto yy295;
yy771:
		YYDEBUG(771, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy780;
		if (yych == 'r') goto yy780;
		goto yy295;
yy772:
		YYDEBUG(772, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy773;
		if (yych != 'n') goto yy295;
yy773:
		YYDEBUG(773, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy774;
		if (yych != 'c') goto yy295;
yy774:
		YYDEBUG(774, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy775;
		if (yych != 't') goto yy295;
yy775:
		YYDEBUG(775, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy776;
		if (yych != 'i') goto yy295;
yy776:
		YYDEBUG(776, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy777;
		if (yych != 'o') goto yy295;
yy777:
		YYDEBUG(777, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy778;
		if (yych != 'n') goto yy295;
yy778:
		YYDEBUG(778, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(779, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 916 "Zend/zend_language_scanner.l"
		{
	return T_FUNCTION;
}
#line 7273 "Zend/zend_language_scanner.c"
yy780:
		YYDEBUG(780, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy781;
				if (yych <= '9') goto yy294;
			} else {
				if (yych == 'E') goto yy782;
				if (yych <= 'Z') goto yy294;
			}
		} else {
			if (yych <= 'd') {
				if (yych != '`') goto yy294;
			} else {
				if (yych <= 'e') goto yy782;
				if (yych <= 'z') goto yy294;
				if (yych >= 0x7F) goto yy294;
			}
		}
yy781:
		YYDEBUG(781, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 968 "Zend/zend_language_scanner.l"
		{
	return T_FOR;
}
#line 7301 "Zend/zend_language_scanner.c"
yy782:
		YYDEBUG(782, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy783;
		if (yych != 'a') goto yy295;
yy783:
		YYDEBUG(783, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy784;
		if (yych != 'c') goto yy295;
yy784:
		YYDEBUG(784, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy785;
		if (yych != 'h') goto yy295;
yy785:
		YYDEBUG(785, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(786, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 976 "Zend/zend_language_scanner.l"
		{
	return T_FOREACH;
}
#line 7329 "Zend/zend_language_scanner.c"
yy787:
		YYDEBUG(787, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy788;
		if (yych != 'a') goto yy295;
yy788:
		YYDEBUG(788, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy789;
		if (yych != 'l') goto yy295;
yy789:
		YYDEBUG(789, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(790, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1186 "Zend/zend_language_scanner.l"
		{
	return T_FINAL;
}
#line 7352 "Zend/zend_language_scanner.c"
yy791:
		YYDEBUG(791, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'F') {
			if (yych == 'C') goto yy797;
			if (yych <= 'E') goto yy295;
			goto yy798;
		} else {
			if (yych <= 'c') {
				if (yych <= 'b') goto yy295;
				goto yy797;
			} else {
				if (yych == 'f') goto yy798;
				goto yy295;
			}
		}
yy792:
		YYDEBUG(792, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy795;
		if (yych == 'e') goto yy795;
		goto yy295;
yy793:
		YYDEBUG(793, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(794, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 964 "Zend/zend_language_scanner.l"
		{
	return T_DO;
}
#line 7387 "Zend/zend_language_scanner.c"
yy795:
		YYDEBUG(795, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(796, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 912 "Zend/zend_language_scanner.l"
		{
	return T_EXIT;
}
#line 7400 "Zend/zend_language_scanner.c"
yy797:
		YYDEBUG(797, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy804;
		if (yych == 'l') goto yy804;
		goto yy295;
yy798:
		YYDEBUG(798, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy799;
		if (yych != 'a') goto yy295;
yy799:
		YYDEBUG(799, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy800;
		if (yych != 'u') goto yy295;
yy800:
		YYDEBUG(800, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy801;
		if (yych != 'l') goto yy295;
yy801:
		YYDEBUG(801, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy802;
		if (yych != 't') goto yy295;
yy802:
		YYDEBUG(802, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(803, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1012 "Zend/zend_language_scanner.l"
		{
	return T_DEFAULT;
}
#line 7439 "Zend/zend_language_scanner.c"
yy804:
		YYDEBUG(804, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy805;
		if (yych != 'a') goto yy295;
yy805:
		YYDEBUG(805, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy806;
		if (yych != 'r') goto yy295;
yy806:
		YYDEBUG(806, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy807;
		if (yych != 'e') goto yy295;
yy807:
		YYDEBUG(807, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(808, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 984 "Zend/zend_language_scanner.l"
		{
	return T_DECLARE;
}
#line 7467 "Zend/zend_language_scanner.c"
yy809:
		YYDEBUG(809, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy871;
		if (yych == 'h') goto yy871;
		goto yy295;
yy810:
		YYDEBUG(810, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy865;
		if (yych == 's') goto yy865;
		goto yy295;
yy811:
		YYDEBUG(811, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy861;
		if (yych == 'p') goto yy861;
		goto yy295;
yy812:
		YYDEBUG(812, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy827;
		if (yych == 'd') goto yy827;
		goto yy295;
yy813:
		YYDEBUG(813, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy824;
		if (yych == 'a') goto yy824;
		goto yy295;
yy814:
		YYDEBUG(814, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych == 'I') goto yy815;
			if (yych <= 'S') goto yy295;
			goto yy816;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy295;
			} else {
				if (yych == 't') goto yy816;
				goto yy295;
			}
		}
yy815:
		YYDEBUG(815, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy822;
		if (yych == 't') goto yy822;
		goto yy295;
yy816:
		YYDEBUG(816, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy817;
		if (yych != 'e') goto yy295;
yy817:
		YYDEBUG(817, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy818;
		if (yych != 'n') goto yy295;
yy818:
		YYDEBUG(818, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy819;
		if (yych != 'd') goto yy295;
yy819:
		YYDEBUG(819, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy820;
		if (yych != 's') goto yy295;
yy820:
		YYDEBUG(820, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(821, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1044 "Zend/zend_language_scanner.l"
		{
	return T_EXTENDS;
}
#line 7551 "Zend/zend_language_scanner.c"
yy822:
		YYDEBUG(822, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(823, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 908 "Zend/zend_language_scanner.l"
		{
	return T_EXIT;
}
#line 7564 "Zend/zend_language_scanner.c"
yy824:
		YYDEBUG(824, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy825;
		if (yych != 'l') goto yy295;
yy825:
		YYDEBUG(825, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(826, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1134 "Zend/zend_language_scanner.l"
		{
	return T_EVAL;
}
#line 7582 "Zend/zend_language_scanner.c"
yy827:
		YYDEBUG(827, *YYCURSOR);
		yych = *++YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 'D':
		case 'd':	goto yy828;
		case 'F':
		case 'f':	goto yy829;
		case 'I':
		case 'i':	goto yy830;
		case 'S':
		case 's':	goto yy831;
		case 'W':
		case 'w':	goto yy832;
		default:	goto yy295;
		}
yy828:
		YYDEBUG(828, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy854;
		if (yych == 'e') goto yy854;
		goto yy295;
yy829:
		YYDEBUG(829, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy846;
		if (yych == 'o') goto yy846;
		goto yy295;
yy830:
		YYDEBUG(830, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy844;
		if (yych == 'f') goto yy844;
		goto yy295;
yy831:
		YYDEBUG(831, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy838;
		if (yych == 'w') goto yy838;
		goto yy295;
yy832:
		YYDEBUG(832, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy833;
		if (yych != 'h') goto yy295;
yy833:
		YYDEBUG(833, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy834;
		if (yych != 'i') goto yy295;
yy834:
		YYDEBUG(834, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy835;
		if (yych != 'l') goto yy295;
yy835:
		YYDEBUG(835, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy836;
		if (yych != 'e') goto yy295;
yy836:
		YYDEBUG(836, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(837, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 960 "Zend/zend_language_scanner.l"
		{
	return T_ENDWHILE;
}
#line 7656 "Zend/zend_language_scanner.c"
yy838:
		YYDEBUG(838, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy839;
		if (yych != 'i') goto yy295;
yy839:
		YYDEBUG(839, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy840;
		if (yych != 't') goto yy295;
yy840:
		YYDEBUG(840, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy841;
		if (yych != 'c') goto yy295;
yy841:
		YYDEBUG(841, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy842;
		if (yych != 'h') goto yy295;
yy842:
		YYDEBUG(842, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(843, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1004 "Zend/zend_language_scanner.l"
		{
	return T_ENDSWITCH;
}
#line 7689 "Zend/zend_language_scanner.c"
yy844:
		YYDEBUG(844, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(845, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 948 "Zend/zend_language_scanner.l"
		{
	return T_ENDIF;
}
#line 7702 "Zend/zend_language_scanner.c"
yy846:
		YYDEBUG(846, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy847;
		if (yych != 'r') goto yy295;
yy847:
		YYDEBUG(847, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy848;
				if (yych <= '9') goto yy294;
			} else {
				if (yych == 'E') goto yy849;
				if (yych <= 'Z') goto yy294;
			}
		} else {
			if (yych <= 'd') {
				if (yych != '`') goto yy294;
			} else {
				if (yych <= 'e') goto yy849;
				if (yych <= 'z') goto yy294;
				if (yych >= 0x7F) goto yy294;
			}
		}
yy848:
		YYDEBUG(848, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 972 "Zend/zend_language_scanner.l"
		{
	return T_ENDFOR;
}
#line 7735 "Zend/zend_language_scanner.c"
yy849:
		YYDEBUG(849, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy850;
		if (yych != 'a') goto yy295;
yy850:
		YYDEBUG(850, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy851;
		if (yych != 'c') goto yy295;
yy851:
		YYDEBUG(851, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy852;
		if (yych != 'h') goto yy295;
yy852:
		YYDEBUG(852, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(853, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 980 "Zend/zend_language_scanner.l"
		{
	return T_ENDFOREACH;
}
#line 7763 "Zend/zend_language_scanner.c"
yy854:
		YYDEBUG(854, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy855;
		if (yych != 'c') goto yy295;
yy855:
		YYDEBUG(855, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy856;
		if (yych != 'l') goto yy295;
yy856:
		YYDEBUG(856, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy857;
		if (yych != 'a') goto yy295;
yy857:
		YYDEBUG(857, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy858;
		if (yych != 'r') goto yy295;
yy858:
		YYDEBUG(858, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy859;
		if (yych != 'e') goto yy295;
yy859:
		YYDEBUG(859, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(860, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 988 "Zend/zend_language_scanner.l"
		{
	return T_ENDDECLARE;
}
#line 7801 "Zend/zend_language_scanner.c"
yy861:
		YYDEBUG(861, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy862;
		if (yych != 't') goto yy295;
yy862:
		YYDEBUG(862, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy863;
		if (yych != 'y') goto yy295;
yy863:
		YYDEBUG(863, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(864, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1170 "Zend/zend_language_scanner.l"
		{
	return T_EMPTY;
}
#line 7824 "Zend/zend_language_scanner.c"
yy865:
		YYDEBUG(865, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy866;
		if (yych != 'e') goto yy295;
yy866:
		YYDEBUG(866, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy867;
				if (yych <= '9') goto yy294;
			} else {
				if (yych == 'I') goto yy868;
				if (yych <= 'Z') goto yy294;
			}
		} else {
			if (yych <= 'h') {
				if (yych != '`') goto yy294;
			} else {
				if (yych <= 'i') goto yy868;
				if (yych <= 'z') goto yy294;
				if (yych >= 0x7F) goto yy294;
			}
		}
yy867:
		YYDEBUG(867, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 952 "Zend/zend_language_scanner.l"
		{
	return T_ELSE;
}
#line 7857 "Zend/zend_language_scanner.c"
yy868:
		YYDEBUG(868, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy869;
		if (yych != 'f') goto yy295;
yy869:
		YYDEBUG(869, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(870, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 944 "Zend/zend_language_scanner.l"
		{
	return T_ELSEIF;
}
#line 7875 "Zend/zend_language_scanner.c"
yy871:
		YYDEBUG(871, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy872;
		if (yych != 'o') goto yy295;
yy872:
		YYDEBUG(872, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy294;
		}
		YYDEBUG(873, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1028 "Zend/zend_language_scanner.l"
		{
	return T_ECHO;
}
#line 7893 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_LOOKING_FOR_PROPERTY:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128,   0,   0, 128,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,   0,   0,   0,   0,   0,   0, 
			  0,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,   0,   0,   0,   0,  64, 
			  0,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,   0,   0,   0,   0,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
		};
		YYDEBUG(874, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= ',') {
			if (yych <= '\f') {
				if (yych <= 0x00) goto yy876;
				if (yych <= 0x08) goto yy884;
				if (yych <= '\n') goto yy878;
				goto yy884;
			} else {
				if (yych <= '\r') goto yy878;
				if (yych == ' ') goto yy878;
				goto yy884;
			}
		} else {
			if (yych <= '^') {
				if (yych <= '-') goto yy880;
				if (yych <= '@') goto yy884;
				if (yych <= 'Z') goto yy882;
				goto yy884;
			} else {
				if (yych <= '`') {
					if (yych <= '_') goto yy882;
					goto yy884;
				} else {
					if (yych <= 'z') goto yy882;
					if (yych <= '~') goto yy884;
					goto yy882;
				}
			}
		}
yy876:
		YYDEBUG(876, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(877, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
		{ return 0; }
#line 7970 "Zend/zend_language_scanner.c"
yy878:
		YYDEBUG(878, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy890;
yy879:
		YYDEBUG(879, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1057 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_WHITESPACE;
}
#line 7987 "Zend/zend_language_scanner.c"
yy880:
		YYDEBUG(880, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '>') goto yy887;
yy881:
		YYDEBUG(881, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1076 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	yy_pop_state(TSRMLS_C);
	goto restart;
}
#line 8001 "Zend/zend_language_scanner.c"
yy882:
		YYDEBUG(882, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy886;
yy883:
		YYDEBUG(883, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1069 "Zend/zend_language_scanner.l"
		{
	yy_pop_state(TSRMLS_C);
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 8017 "Zend/zend_language_scanner.c"
yy884:
		YYDEBUG(884, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy881;
yy885:
		YYDEBUG(885, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy886:
		YYDEBUG(886, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy885;
		}
		goto yy883;
yy887:
		YYDEBUG(887, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(888, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1065 "Zend/zend_language_scanner.l"
		{
	return T_OBJECT_OPERATOR;
}
#line 8042 "Zend/zend_language_scanner.c"
yy889:
		YYDEBUG(889, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy890:
		YYDEBUG(890, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy889;
		}
		goto yy879;
	}
/* *********************************** */
yyc_ST_LOOKING_FOR_VARNAME:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(891, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '^') {
			if (yych <= 0x00) goto yy893;
			if (yych <= '@') goto yy897;
			if (yych <= 'Z') goto yy895;
			goto yy897;
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy895;
				goto yy897;
			} else {
				if (yych <= 'z') goto yy895;
				if (yych <= '~') goto yy897;
				goto yy895;
			}
		}
yy893:
		YYDEBUG(893, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(894, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
		{ return 0; }
#line 8117 "Zend/zend_language_scanner.c"
yy895:
		YYDEBUG(895, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy900;
yy896:
		YYDEBUG(896, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1348 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	yy_pop_state(TSRMLS_C);
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_STRING_VARNAME;
}
#line 8134 "Zend/zend_language_scanner.c"
yy897:
		YYDEBUG(897, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(898, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1357 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	yy_pop_state(TSRMLS_C);
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	goto restart;
}
#line 8147 "Zend/zend_language_scanner.c"
yy899:
		YYDEBUG(899, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy900:
		YYDEBUG(900, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy899;
		}
		goto yy896;
	}
/* *********************************** */
yyc_ST_NOWDOC:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  32,  16,  16,  64,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144,  16,  16,  16,  16,  16,  16, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,  16,  16,  16, 144, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,  16,  16,  16, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
		};
		YYDEBUG(901, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy907;
		}
		if (yych <= 0x00) goto yy903;
		if (yych == '\r') goto yy909;
		goto yy905;
yy903:
		YYDEBUG(903, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy906;
		YYDEBUG(904, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
		{ return 0; }
#line 8215 "Zend/zend_language_scanner.c"
yy905:
		YYDEBUG(905, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy906:
		YYDEBUG(906, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy905;
		}
		if (yych <= '\f') goto yy916;
		goto yy918;
yy907:
		YYDEBUG(907, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(908, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy907;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych <= '\f') goto yy905;
			} else {
				if (yych <= '@') goto yy905;
				if (yych <= 'Z') goto yy911;
				goto yy905;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy911;
				goto yy905;
			} else {
				if (yych <= 'z') goto yy911;
				if (yych <= '~') goto yy905;
				goto yy911;
			}
		}
yy909:
		YYDEBUG(909, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(910, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy907;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych <= '\f') goto yy905;
				goto yy909;
			} else {
				if (yych <= '@') goto yy905;
				if (yych >= '[') goto yy905;
			}
		} else {
			if (yych <= '`') {
				if (yych >= '`') goto yy905;
			} else {
				if (yych <= 'z') goto yy911;
				if (yych <= '~') goto yy905;
			}
		}
yy911:
		YYDEBUG(911, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(912, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy911;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy914;
			goto yy905;
		} else {
			if (yych <= '\r') goto yy914;
			if (yych != ';') goto yy905;
		}
		YYDEBUG(913, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy905;
		}
yy914:
		YYDEBUG(914, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(915, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2052 "Zend/zend_language_scanner.l"
		{
	char *end = yytext + yyleng - 1;

	if (end[-1] == ';') {
		end--;
		yyleng--;
	}

	if (yyleng > CG(heredoc_len) && !memcmp(end - CG(heredoc_len), CG(heredoc), CG(heredoc_len))) {
		int len = yyleng - CG(heredoc_len) - 2; /* 2 for newline before and after label */

		/* May have matched fooLABEL; make sure there's a newline before it */
		if (yytext[len] != '\n') {
			if (yytext[len] != '\r') {
				yyless(yyleng - 1);
				yymore();
			}
		} else if (len > 0 && yytext[len - 1] == '\r') {
			len--; /* Windows newline */
		}

		/* Go back before label, to match in ST_END_HEREDOC state. yytext will include
		 * newline before label, for zend_highlight/strip, tokenizer, etc. */
		yyless(yyleng - CG(heredoc_len) - 1); /* 1 for newline after label */

		CG(increment_lineno) = 1; /* For newline before label */
		BEGIN(ST_END_HEREDOC);

		zend_copy_value(zendlval, yytext, len);
		zendlval->type = IS_STRING;
		HANDLE_NEWLINES(yytext, len);
		return T_ENCAPSED_AND_WHITESPACE;
	} else {
		/* Go back to end of label, so the next match works correctly in case of
		 * another label at the beginning of the next line */
		yyless(yyleng - 1);
		yymore();
	}
}
#line 8348 "Zend/zend_language_scanner.c"
yy916:
		YYDEBUG(916, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(917, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '\f') {
				if (yych == '\n') goto yy916;
				goto yy905;
			} else {
				if (yych <= '\r') goto yy918;
				if (yych <= '@') goto yy905;
				goto yy911;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy911;
				goto yy905;
			} else {
				if (yych <= 'z') goto yy911;
				if (yych <= '~') goto yy905;
				goto yy911;
			}
		}
yy918:
		YYDEBUG(918, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(919, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '\f') {
				if (yych == '\n') goto yy916;
				goto yy905;
			} else {
				if (yych <= '\r') goto yy918;
				if (yych <= '@') goto yy905;
				goto yy911;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy911;
				goto yy905;
			} else {
				if (yych <= 'z') goto yy911;
				if (yych <= '~') goto yy905;
				goto yy911;
			}
		}
	}
/* *********************************** */
yyc_ST_ONE_LINE_COMMENT:
	{
		static const unsigned char yybm[] = {
			128,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,   0,  64,  64,   0,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,   0,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,   0,   0, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
		};
		YYDEBUG(920, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 64) {
			goto yy928;
		}
		if (yych <= '\r') {
			if (yych <= 0x00) goto yy922;
			if (yych <= '\f') goto yy931;
			goto yy932;
		} else {
			if (yych <= '=') goto yy924;
			if (yych <= '>') goto yy926;
			goto yy927;
		}
yy922:
		YYDEBUG(922, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy937;
		YYDEBUG(923, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
		{ return 0; }
#line 8461 "Zend/zend_language_scanner.c"
yy924:
		YYDEBUG(924, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '>') goto yy938;
yy925:
		YYDEBUG(925, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1715 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 8473 "Zend/zend_language_scanner.c"
yy926:
		YYDEBUG(926, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy925;
yy927:
		YYDEBUG(927, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy938;
		goto yy925;
yy928:
		YYDEBUG(928, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(929, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy936;
		}
		if (yych <= '\r') {
			if (yych == '\n') goto yy935;
			if (yych <= '\f') goto yy928;
			goto yy935;
		} else {
			if (yych <= '%') {
				if (yych <= '$') goto yy928;
				goto yy935;
			} else {
				if (yych <= '=') goto yy928;
				if (yych <= '?') goto yy935;
				goto yy928;
			}
		}
yy930:
		YYDEBUG(930, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1719 "Zend/zend_language_scanner.l"
		{
	switch (yytext[yyleng-1]) {
		case '?': case '%': case '>':
			yyless(yyleng-1);
			yymore();
			break;
		case '\n':
			CG(zend_lineno)++;
			/* intentional fall through */
		default:
			zendlval->value.str.val = yytext; /* no copying - intentional */
			zendlval->value.str.len = yyleng;
			zendlval->type = IS_STRING;
			BEGIN(ST_IN_SCRIPTING);
			return T_COMMENT;
	}
}
#line 8528 "Zend/zend_language_scanner.c"
yy931:
		YYDEBUG(931, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy930;
yy932:
		YYDEBUG(932, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '\n') goto yy930;
		YYDEBUG(933, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(934, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1737 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(ST_IN_SCRIPTING);
	CG(zend_lineno)++;
	return T_COMMENT;
}
#line 8550 "Zend/zend_language_scanner.c"
yy935:
		YYDEBUG(935, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy930;
yy936:
		YYDEBUG(936, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy937:
		YYDEBUG(937, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy936;
		}
		if (yych <= '\r') {
			if (yych == '\n') goto yy935;
			if (yych <= '\f') goto yy928;
			goto yy935;
		} else {
			if (yych <= '%') {
				if (yych <= '$') goto yy928;
				goto yy935;
			} else {
				if (yych <= '=') goto yy928;
				if (yych <= '?') goto yy935;
				goto yy928;
			}
		}
yy938:
		YYDEBUG(938, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(939, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1746 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags) || yytext[yyleng-2] != '%') { /* asp comment? */
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng-2;
		zendlval->type = IS_STRING;
		yyless(yyleng - 2);
		BEGIN(ST_IN_SCRIPTING);
		return T_COMMENT;
	} else {
		yymore();
	}
}
#line 8597 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_VAR_OFFSET:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			224, 224, 224, 224, 224, 224, 224, 224, 
			224, 224,   0,   0,   0,   0,   0,   0, 
			  0, 160, 160, 160, 160, 160, 160,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,   0,   0,   0,   0,  32, 
			  0, 160, 160, 160, 160, 160, 160,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,   0,   0,   0,   0,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
		};
		YYDEBUG(940, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '/') {
			if (yych <= 0x1F) {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy942;
					if (yych <= 0x08) goto yy956;
					goto yy952;
				} else {
					if (yych == '\r') goto yy952;
					goto yy956;
				}
			} else {
				if (yych <= '#') {
					if (yych <= ' ') goto yy952;
					if (yych <= '"') goto yy951;
					goto yy952;
				} else {
					if (yych <= '$') goto yy947;
					if (yych == '\'') goto yy952;
					goto yy951;
				}
			}
		} else {
			if (yych <= '\\') {
				if (yych <= '@') {
					if (yych <= '0') goto yy944;
					if (yych <= '9') goto yy946;
					goto yy951;
				} else {
					if (yych <= 'Z') goto yy954;
					if (yych <= '[') goto yy951;
					goto yy952;
				}
			} else {
				if (yych <= '_') {
					if (yych <= ']') goto yy949;
					if (yych <= '^') goto yy951;
					goto yy954;
				} else {
					if (yych <= '`') goto yy951;
					if (yych <= 'z') goto yy954;
					if (yych <= '~') goto yy951;
					goto yy954;
				}
			}
		}
yy942:
		YYDEBUG(942, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(943, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
		{ return 0; }
#line 8691 "Zend/zend_language_scanner.c"
yy944:
		YYDEBUG(944, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'W') {
			if (yych <= '/') goto yy945;
			if (yych <= '9') goto yy967;
		} else {
			if (yych <= 'X') goto yy965;
			if (yych == 'x') goto yy965;
		}
yy945:
		YYDEBUG(945, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1407 "Zend/zend_language_scanner.l"
		{ /* Offset could be treated as a long */
	if (yyleng < MAX_LENGTH_OF_LONG - 1 || (yyleng == MAX_LENGTH_OF_LONG - 1 && strcmp(yytext, long_min_digits) < 0)) {
		zendlval->value.lval = strtol(yytext, NULL, 10);
		zendlval->type = IS_LONG;
	} else {
		zendlval->value.str.val = (char *)estrndup(yytext, yyleng);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
	}
	return T_NUM_STRING;
}
#line 8718 "Zend/zend_language_scanner.c"
yy946:
		YYDEBUG(946, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy964;
yy947:
		YYDEBUG(947, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '_') {
			if (yych <= '@') goto yy948;
			if (yych <= 'Z') goto yy960;
			if (yych >= '_') goto yy960;
		} else {
			if (yych <= '`') goto yy948;
			if (yych <= 'z') goto yy960;
			if (yych >= 0x7F) goto yy960;
		}
yy948:
		YYDEBUG(948, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1690 "Zend/zend_language_scanner.l"
		{
	/* Only '[' can be valid, but returning other tokens will allow a more explicit parse error */
	return yytext[0];
}
#line 8743 "Zend/zend_language_scanner.c"
yy949:
		YYDEBUG(949, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(950, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1685 "Zend/zend_language_scanner.l"
		{
	yy_pop_state(TSRMLS_C);
	return ']';
}
#line 8754 "Zend/zend_language_scanner.c"
yy951:
		YYDEBUG(951, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy948;
yy952:
		YYDEBUG(952, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(953, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1695 "Zend/zend_language_scanner.l"
		{
	/* Invalid rule to return a more explicit parse error with proper line number */
	yyless(0);
	yy_pop_state(TSRMLS_C);
	ZVAL_EMPTY_STRING(zendlval); /* Empty since it won't be used */
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 8772 "Zend/zend_language_scanner.c"
yy954:
		YYDEBUG(954, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy959;
yy955:
		YYDEBUG(955, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1703 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 8787 "Zend/zend_language_scanner.c"
yy956:
		YYDEBUG(956, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(957, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2106 "Zend/zend_language_scanner.l"
		{
	zend_error(E_COMPILE_WARNING,"Unexpected character in input:  '%c' (ASCII=%d) state=%d", yytext[0], yytext[0], YYSTATE);
	goto restart;
}
#line 8798 "Zend/zend_language_scanner.c"
yy958:
		YYDEBUG(958, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy959:
		YYDEBUG(959, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy958;
		}
		goto yy955;
yy960:
		YYDEBUG(960, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(961, *YYCURSOR);
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy960;
			} else {
				if (yych <= '@') goto yy962;
				if (yych <= 'Z') goto yy960;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy960;
			} else {
				if (yych <= 'z') goto yy960;
				if (yych >= 0x7F) goto yy960;
			}
		}
yy962:
		YYDEBUG(962, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1679 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 8840 "Zend/zend_language_scanner.c"
yy963:
		YYDEBUG(963, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy964:
		YYDEBUG(964, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy963;
		}
		goto yy945;
yy965:
		YYDEBUG(965, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy970;
		}
		YYDEBUG(966, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy945;
yy967:
		YYDEBUG(967, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(968, *YYCURSOR);
		if (yych <= '/') goto yy969;
		if (yych <= '9') goto yy967;
yy969:
		YYDEBUG(969, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1419 "Zend/zend_language_scanner.l"
		{ /* Offset must be treated as a string */
	zendlval->value.str.val = (char *)estrndup(yytext, yyleng);
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	return T_NUM_STRING;
}
#line 8879 "Zend/zend_language_scanner.c"
yy970:
		YYDEBUG(970, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(971, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy970;
		}
		goto yy969;
	}
}
#line 2111 "Zend/zend_language_scanner.l"

}
